Package org.gdal.ogr

# Class ogrJNI

java.lang.Object
org.gdal.ogr.ogrJNI

public class ogrJNI extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ogrJNI()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final long`
  `ApproximateArcAngles(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9)`
  `static final long`
  `BuildPolygonFromEdges__SWIG_0(long jarg1, Geometry jarg1_, int jarg2, int jarg3, double jarg4)`
  `static final long`
  `BuildPolygonFromEdges__SWIG_1(long jarg1, Geometry jarg1_, int jarg2, int jarg3)`
  `static final long`
  `BuildPolygonFromEdges__SWIG_2(long jarg1, Geometry jarg1_, int jarg2)`
  `static final long`
  `BuildPolygonFromEdges__SWIG_3(long jarg1, Geometry jarg1_)`
  `static final long`
  `CreateCodedFieldDomain(String jarg1, String jarg2, int jarg3, int jarg4, HashMap<String,String> jarg5)`
  `static final long`
  `CreateGeomCoordinatePrecision()`
  `static final long`
  `CreateGeometryFromEnvelope__SWIG_0(double jarg1, double jarg2, double jarg3, double jarg4, long jarg5, SpatialReference jarg5_)`
  `static final long`
  `CreateGeometryFromEnvelope__SWIG_1(double jarg1, double jarg2, double jarg3, double jarg4)`
  `static final long`
  `CreateGeometryFromEsriJson(String jarg1)`
  `static final long`
  `CreateGeometryFromGML(String jarg1)`
  `static final long`
  `CreateGeometryFromJson(String jarg1)`
  `static final long`
  `CreateGeometryFromWkb__SWIG_0(byte[] jarg1, long jarg3, SpatialReference jarg3_)`
  `static final long`
  `CreateGeometryFromWkb__SWIG_1(byte[] jarg1)`
  `static final long`
  `CreateGeometryFromWkt__SWIG_0(String jarg1, long jarg2, SpatialReference jarg2_)`
  `static final long`
  `CreateGeometryFromWkt__SWIG_1(String jarg1)`
  `static final long`
  `CreateGlobFieldDomain(String jarg1, String jarg2, int jarg3, int jarg4, String jarg5)`
  `static final long`
  `CreateRangeFieldDomain(String jarg1, String jarg2, int jarg3, int jarg4, double jarg5, boolean jarg6, double jarg7, boolean jarg8)`
  `static final long`
  `CreateRangeFieldDomainDateTime(String jarg1, String jarg2, String jarg3, boolean jarg4, String jarg5, double jarg6)`
  `static final int`
  `DataSource_AbortSQL(long jarg1, DataSource jarg1_)`
  `static final long`
  `DataSource_Close(long jarg1, DataSource jarg1_)`
  `static final int`
  `DataSource_CommitTransaction(long jarg1, DataSource jarg1_)`
  `static final long`
  `DataSource_CopyLayer__SWIG_0(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_, String jarg3, Vector jarg4)`
  `static final long`
  `DataSource_CopyLayer__SWIG_1(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_, String jarg3)`
  `static final long`
  `DataSource_CreateLayer__SWIG_0(long jarg1, DataSource jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, Vector jarg5)`
  `static final long`
  `DataSource_CreateLayer__SWIG_1(long jarg1, DataSource jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)`
  `static final long`
  `DataSource_CreateLayer__SWIG_2(long jarg1, DataSource jarg1_, String jarg2, long jarg3, SpatialReference jarg3_)`
  `static final long`
  `DataSource_CreateLayer__SWIG_3(long jarg1, DataSource jarg1_, String jarg2)`
  `static final int`
  `DataSource_DeleteLayer(long jarg1, DataSource jarg1_, int jarg2)`
  `static final long`
  `DataSource_ExecuteSQL__SWIG_0(long jarg1, DataSource jarg1_, String jarg2, long jarg3, Geometry jarg3_, String jarg4)`
  `static final long`
  `DataSource_ExecuteSQL__SWIG_1(long jarg1, DataSource jarg1_, String jarg2, long jarg3, Geometry jarg3_)`
  `static final long`
  `DataSource_ExecuteSQL__SWIG_2(long jarg1, DataSource jarg1_, String jarg2)`
  `static final void`
  `DataSource_FlushCache(long jarg1, DataSource jarg1_)`
  `static final long`
  `DataSource_GetDriver(long jarg1, DataSource jarg1_)`
  `static final long`
  `DataSource_GetLayerByIndex(long jarg1, DataSource jarg1_, int jarg2)`
  `static final long`
  `DataSource_GetLayerByName(long jarg1, DataSource jarg1_, String jarg2)`
  `static final int`
  `DataSource_GetLayerCount(long jarg1, DataSource jarg1_)`
  `static final String`
  `DataSource_GetName(long jarg1, DataSource jarg1_)`
  `static final byte[]`
  `DataSource_GetNameAsByteArray(long jarg1, DataSource jarg1_)`
  `static final int`
  `DataSource_GetRefCount(long jarg1, DataSource jarg1_)`
  `static final long`
  `DataSource_GetStyleTable(long jarg1, DataSource jarg1_)`
  `static final int`
  `DataSource_GetSummaryRefCount(long jarg1, DataSource jarg1_)`
  `static final String`
  `DataSource_name_get(long jarg1, DataSource jarg1_)`
  `static final void`
  `DataSource_ReleaseResultSet(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_)`
  `static final int`
  `DataSource_RollbackTransaction(long jarg1, DataSource jarg1_)`
  `static final void`
  `DataSource_SetStyleTable(long jarg1, DataSource jarg1_, long jarg2, StyleTable jarg2_)`
  `static final int`
  `DataSource_StartTransaction__SWIG_0(long jarg1, DataSource jarg1_, int jarg2)`
  `static final int`
  `DataSource_StartTransaction__SWIG_1(long jarg1, DataSource jarg1_)`
  `static final long`
  `DataSource_SWIGUpcast(long jarg1)`
  `static final int`
  `DataSource_SyncToDisk(long jarg1, DataSource jarg1_)`
  `static final boolean`
  `DataSource_TestCapability(long jarg1, DataSource jarg1_, String jarg2)`
  `static final void`
  `delete_DataSource(long jarg1)`
  `static final void`
  `delete_Feature(long jarg1)`
  `static final void`
  `delete_FeatureDefn(long jarg1)`
  `static final void`
  `delete_FieldDefn(long jarg1)`
  `static final void`
  `delete_FieldDomain(long jarg1)`
  `static final void`
  `delete_GeomCoordinatePrecision(long jarg1)`
  `static final void`
  `delete_Geometry(long jarg1)`
  `static final void`
  `delete_GeomFieldDefn(long jarg1)`
  `static final void`
  `delete_GeomTransformer(long jarg1)`
  `static final void`
  `delete_PreparedGeometry(long jarg1)`
  `static final void`
  `delete_ProgressCallback(long jarg1)`
  `static final void`
  `delete_StyleTable(long jarg1)`
  `static final void`
  `delete_TermProgressCallback(long jarg1)`
  `static final void`
  `DontUseExceptions()`
  `static final long`
  `Driver_CopyDataSource__SWIG_0(long jarg1, Driver jarg1_, long jarg2, DataSource jarg2_, String jarg3, Vector jarg4)`
  `static final long`
  `Driver_CopyDataSource__SWIG_1(long jarg1, Driver jarg1_, long jarg2, DataSource jarg2_, String jarg3)`
  `static final long`
  `Driver_CreateDataSource__SWIG_0(long jarg1, Driver jarg1_, String jarg2, Vector jarg3)`
  `static final long`
  `Driver_CreateDataSource__SWIG_1(long jarg1, Driver jarg1_, String jarg2)`
  `static final int`
  `Driver_DeleteDataSource(long jarg1, Driver jarg1_, String jarg2)`
  `static final void`
  `Driver_Deregister(long jarg1, Driver jarg1_)`
  `static final String`
  `Driver_GetName(long jarg1, Driver jarg1_)`
  `static final String`
  `Driver_name_get(long jarg1, Driver jarg1_)`
  `static final long`
  `Driver_Open__SWIG_0(long jarg1, Driver jarg1_, String jarg2, int jarg3)`
  `static final long`
  `Driver_Open__SWIG_1(long jarg1, Driver jarg1_, String jarg2)`
  `static final void`
  `Driver_Register(long jarg1, Driver jarg1_)`
  `static final long`
  `Driver_SWIGUpcast(long jarg1)`
  `static final boolean`
  `Driver_TestCapability(long jarg1, Driver jarg1_, String jarg2)`
  `static final long`
  `Feature_Clone(long jarg1, Feature jarg1_)`
  `static final void`
  `Feature_DumpReadable(long jarg1, Feature jarg1_)`
  `static final String`
  `Feature_DumpReadableAsString__SWIG_0(long jarg1, Feature jarg1_, Vector jarg2)`
  `static final String`
  `Feature_DumpReadableAsString__SWIG_1(long jarg1, Feature jarg1_)`
  `static final boolean`
  `Feature_Equal(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_)`
  `static final void`
  `Feature_FillUnsetWithDefault__SWIG_0(long jarg1, Feature jarg1_, int jarg2, Vector jarg3)`
  `static final void`
  `Feature_FillUnsetWithDefault__SWIG_1(long jarg1, Feature jarg1_, int jarg2)`
  `static final void`
  `Feature_FillUnsetWithDefault__SWIG_2(long jarg1, Feature jarg1_)`
  `static final long`
  `Feature_GetDefnRef(long jarg1, Feature jarg1_)`
  `static final long`
  `Feature_GetFID(long jarg1, Feature jarg1_)`
  `static final byte[]`
  `Feature_GetFieldAsBinary__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final byte[]`
  `Feature_GetFieldAsBinary__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final void`
  `Feature_GetFieldAsDateTime__SWIG_0(long jarg1, Feature jarg1_, int jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6, int[] jarg7, float[] jarg8, int[] jarg9)`
  `static final void`
  `Feature_GetFieldAsDateTime__SWIG_1(long jarg1, Feature jarg1_, String jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6, int[] jarg7, float[] jarg8, int[] jarg9)`
  `static final double`
  `Feature_GetFieldAsDouble__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final double`
  `Feature_GetFieldAsDouble__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final double[]`
  `Feature_GetFieldAsDoubleList(long jarg1, Feature jarg1_, int jarg2)`
  `static final int`
  `Feature_GetFieldAsInteger__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final int`
  `Feature_GetFieldAsInteger__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final long`
  `Feature_GetFieldAsInteger64__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final long`
  `Feature_GetFieldAsInteger64__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final int[]`
  `Feature_GetFieldAsIntegerList(long jarg1, Feature jarg1_, int jarg2)`
  `static final String`
  `Feature_GetFieldAsISO8601DateTime__SWIG_0(long jarg1, Feature jarg1_, int jarg2, Vector jarg3)`
  `static final String`
  `Feature_GetFieldAsISO8601DateTime__SWIG_1(long jarg1, Feature jarg1_, int jarg2)`
  `static final String`
  `Feature_GetFieldAsISO8601DateTime__SWIG_2(long jarg1, Feature jarg1_, String jarg2, Vector jarg3)`
  `static final String`
  `Feature_GetFieldAsISO8601DateTime__SWIG_3(long jarg1, Feature jarg1_, String jarg2)`
  `static final String`
  `Feature_GetFieldAsString__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final String`
  `Feature_GetFieldAsString__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final byte[]`
  `Feature_GetFieldAsStringAsByteArray__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final byte[]`
  `Feature_GetFieldAsStringAsByteArray__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final String[]`
  `Feature_GetFieldAsStringList(long jarg1, Feature jarg1_, int jarg2)`
  `static final int`
  `Feature_GetFieldCount(long jarg1, Feature jarg1_)`
  `static final long`
  `Feature_GetFieldDefnRef__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final long`
  `Feature_GetFieldDefnRef__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final int`
  `Feature_GetFieldIndex(long jarg1, Feature jarg1_, String jarg2)`
  `static final int`
  `Feature_GetFieldType__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final int`
  `Feature_GetFieldType__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final long`
  `Feature_GetGeometryRef(long jarg1, Feature jarg1_)`
  `static final int`
  `Feature_GetGeomFieldCount(long jarg1, Feature jarg1_)`
  `static final long`
  `Feature_GetGeomFieldDefnRef__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final long`
  `Feature_GetGeomFieldDefnRef__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final int`
  `Feature_GetGeomFieldIndex(long jarg1, Feature jarg1_, String jarg2)`
  `static final long`
  `Feature_GetGeomFieldRef__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final long`
  `Feature_GetGeomFieldRef__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final String`
  `Feature_GetNativeData(long jarg1, Feature jarg1_)`
  `static final byte[]`
  `Feature_GetNativeDataAsByteArray(long jarg1, Feature jarg1_)`
  `static final String`
  `Feature_GetNativeMediaType(long jarg1, Feature jarg1_)`
  `static final String`
  `Feature_GetStyleString(long jarg1, Feature jarg1_)`
  `static final byte[]`
  `Feature_GetStyleStringAsByteArray(long jarg1, Feature jarg1_)`
  `static final boolean`
  `Feature_IsFieldNull__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final boolean`
  `Feature_IsFieldNull__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final boolean`
  `Feature_IsFieldSet__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final boolean`
  `Feature_IsFieldSet__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final boolean`
  `Feature_IsFieldSetAndNotNull__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final boolean`
  `Feature_IsFieldSetAndNotNull__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final int`
  `Feature_SetFID(long jarg1, Feature jarg1_, long jarg2)`
  `static final void`
  `Feature_SetField__SWIG_0(long jarg1, Feature jarg1_, int jarg2, String jarg3)`
  `static final void`
  `Feature_SetField__SWIG_1(long jarg1, Feature jarg1_, String jarg2, String jarg3)`
  `static final void`
  `Feature_SetField__SWIG_2(long jarg1, Feature jarg1_, int jarg2, int jarg3)`
  `static final void`
  `Feature_SetField__SWIG_3(long jarg1, Feature jarg1_, String jarg2, int jarg3)`
  `static final void`
  `Feature_SetField__SWIG_4(long jarg1, Feature jarg1_, int jarg2, double jarg3)`
  `static final void`
  `Feature_SetField__SWIG_5(long jarg1, Feature jarg1_, String jarg2, double jarg3)`
  `static final void`
  `Feature_SetField__SWIG_6(long jarg1, Feature jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, float jarg8, int jarg9)`
  `static final void`
  `Feature_SetField__SWIG_7(long jarg1, Feature jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, float jarg8, int jarg9)`
  `static final void`
  `Feature_SetFieldBinaryFromHexString__SWIG_0(long jarg1, Feature jarg1_, int jarg2, String jarg3)`
  `static final void`
  `Feature_SetFieldBinaryFromHexString__SWIG_1(long jarg1, Feature jarg1_, String jarg2, String jarg3)`
  `static final void`
  `Feature_SetFieldDoubleList(long jarg1, Feature jarg1_, int jarg2, double[] jarg3)`
  `static final void`
  `Feature_SetFieldInteger64(long jarg1, Feature jarg1_, int jarg2, long jarg3)`
  `static final void`
  `Feature_SetFieldIntegerList(long jarg1, Feature jarg1_, int jarg2, int[] jarg3)`
  `static final void`
  `Feature_SetFieldNull__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final void`
  `Feature_SetFieldNull__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final void`
  `Feature_SetFieldStringList(long jarg1, Feature jarg1_, int jarg2, Vector jarg3)`
  `static final int`
  `Feature_SetFrom__SWIG_0(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_, int jarg3)`
  `static final int`
  `Feature_SetFrom__SWIG_1(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_)`
  `static final int`
  `Feature_SetFromWithMap(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_, int jarg3, int[] jarg4)`
  `static final int`
  `Feature_SetGeometry(long jarg1, Feature jarg1_, long jarg2, Geometry jarg2_)`
  `static final int`
  `Feature_SetGeometryDirectly(long jarg1, Feature jarg1_, long jarg2, Geometry jarg2_)`
  `static final int`
  `Feature_SetGeomField__SWIG_0(long jarg1, Feature jarg1_, int jarg2, long jarg3, Geometry jarg3_)`
  `static final int`
  `Feature_SetGeomField__SWIG_1(long jarg1, Feature jarg1_, String jarg2, long jarg3, Geometry jarg3_)`
  `static final int`
  `Feature_SetGeomFieldDirectly__SWIG_0(long jarg1, Feature jarg1_, int jarg2, long jarg3, Geometry jarg3_)`
  `static final int`
  `Feature_SetGeomFieldDirectly__SWIG_1(long jarg1, Feature jarg1_, String jarg2, long jarg3, Geometry jarg3_)`
  `static final void`
  `Feature_SetNativeData(long jarg1, Feature jarg1_, String jarg2)`
  `static final void`
  `Feature_SetNativeMediaType(long jarg1, Feature jarg1_, String jarg2)`
  `static final void`
  `Feature_SetStyleString(long jarg1, Feature jarg1_, String jarg2)`
  `static final void`
  `Feature_UnsetField__SWIG_0(long jarg1, Feature jarg1_, int jarg2)`
  `static final void`
  `Feature_UnsetField__SWIG_1(long jarg1, Feature jarg1_, String jarg2)`
  `static final int`
  `Feature_Validate__SWIG_0(long jarg1, Feature jarg1_, int jarg2, int jarg3)`
  `static final int`
  `Feature_Validate__SWIG_1(long jarg1, Feature jarg1_, int jarg2)`
  `static final int`
  `Feature_Validate__SWIG_2(long jarg1, Feature jarg1_)`
  `static final void`
  `FeatureDefn_AddFieldDefn(long jarg1, FeatureDefn jarg1_, long jarg2, FieldDefn jarg2_)`
  `static final void`
  `FeatureDefn_AddGeomFieldDefn(long jarg1, FeatureDefn jarg1_, long jarg2, GeomFieldDefn jarg2_)`
  `static final int`
  `FeatureDefn_DeleteGeomFieldDefn(long jarg1, FeatureDefn jarg1_, int jarg2)`
  `static final int`
  `FeatureDefn_GetFieldCount(long jarg1, FeatureDefn jarg1_)`
  `static final long`
  `FeatureDefn_GetFieldDefn(long jarg1, FeatureDefn jarg1_, int jarg2)`
  `static final int`
  `FeatureDefn_GetFieldIndex(long jarg1, FeatureDefn jarg1_, String jarg2)`
  `static final int`
  `FeatureDefn_GetGeomFieldCount(long jarg1, FeatureDefn jarg1_)`
  `static final long`
  `FeatureDefn_GetGeomFieldDefn(long jarg1, FeatureDefn jarg1_, int jarg2)`
  `static final int`
  `FeatureDefn_GetGeomFieldIndex(long jarg1, FeatureDefn jarg1_, String jarg2)`
  `static final int`
  `FeatureDefn_GetGeomType(long jarg1, FeatureDefn jarg1_)`
  `static final String`
  `FeatureDefn_GetName(long jarg1, FeatureDefn jarg1_)`
  `static final byte[]`
  `FeatureDefn_GetNameAsByteArray(long jarg1, FeatureDefn jarg1_)`
  `static final int`
  `FeatureDefn_GetReferenceCount(long jarg1, FeatureDefn jarg1_)`
  `static final int`
  `FeatureDefn_IsGeometryIgnored(long jarg1, FeatureDefn jarg1_)`
  `static final int`
  `FeatureDefn_IsSame(long jarg1, FeatureDefn jarg1_, long jarg2, FeatureDefn jarg2_)`
  `static final int`
  `FeatureDefn_IsStyleIgnored(long jarg1, FeatureDefn jarg1_)`
  `static final void`
  `FeatureDefn_SetGeometryIgnored(long jarg1, FeatureDefn jarg1_, int jarg2)`
  `static final void`
  `FeatureDefn_SetGeomType(long jarg1, FeatureDefn jarg1_, int jarg2)`
  `static final void`
  `FeatureDefn_SetStyleIgnored(long jarg1, FeatureDefn jarg1_, int jarg2)`
  `static final String`
  `FieldDefn_GetAlternativeName(long jarg1, FieldDefn jarg1_)`
  `static final byte[]`
  `FieldDefn_GetAlternativeNameAsByteArray(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetAlternativeNameRef(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetComment(long jarg1, FieldDefn jarg1_)`
  `static final byte[]`
  `FieldDefn_GetCommentAsByteArray(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetDefault(long jarg1, FieldDefn jarg1_)`
  `static final byte[]`
  `FieldDefn_GetDefaultAsByteArray(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetDomainName(long jarg1, FieldDefn jarg1_)`
  `static final byte[]`
  `FieldDefn_GetDomainNameAsByteArray(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_GetFieldType(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetFieldTypeName(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final int`
  `FieldDefn_GetJustify(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetName(long jarg1, FieldDefn jarg1_)`
  `static final byte[]`
  `FieldDefn_GetNameAsByteArray(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetNameRef(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_GetPrecision(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_GetSubType(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_GetType(long jarg1, FieldDefn jarg1_)`
  `static final String`
  `FieldDefn_GetTypeName(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_GetTZFlag(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_GetWidth(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_IsDefaultDriverSpecific(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_IsGenerated(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_IsIgnored(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_IsNullable(long jarg1, FieldDefn jarg1_)`
  `static final int`
  `FieldDefn_IsUnique(long jarg1, FieldDefn jarg1_)`
  `static final void`
  `FieldDefn_SetAlternativeName(long jarg1, FieldDefn jarg1_, String jarg2)`
  `static final void`
  `FieldDefn_SetComment(long jarg1, FieldDefn jarg1_, String jarg2)`
  `static final void`
  `FieldDefn_SetDefault(long jarg1, FieldDefn jarg1_, String jarg2)`
  `static final void`
  `FieldDefn_SetDomainName(long jarg1, FieldDefn jarg1_, String jarg2)`
  `static final void`
  `FieldDefn_SetGenerated(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetIgnored(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetJustify(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetName(long jarg1, FieldDefn jarg1_, String jarg2)`
  `static final void`
  `FieldDefn_SetNullable(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetPrecision(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetSubType(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetType(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetTZFlag(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetUnique(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final void`
  `FieldDefn_SetWidth(long jarg1, FieldDefn jarg1_, int jarg2)`
  `static final String`
  `FieldDomain_GetDescription(long jarg1, FieldDomain jarg1_)`
  `static final byte[]`
  `FieldDomain_GetDescriptionAsByteArray(long jarg1, FieldDomain jarg1_)`
  `static final int`
  `FieldDomain_GetDomainType(long jarg1, FieldDomain jarg1_)`
  `static final HashMap<String,String>`
  `FieldDomain_GetEnumeration(long jarg1, FieldDomain jarg1_)`
  `static final int`
  `FieldDomain_GetFieldSubType(long jarg1, FieldDomain jarg1_)`
  `static final int`
  `FieldDomain_GetFieldType(long jarg1, FieldDomain jarg1_)`
  `static final String`
  `FieldDomain_GetGlob(long jarg1, FieldDomain jarg1_)`
  `static final byte[]`
  `FieldDomain_GetGlobAsByteArray(long jarg1, FieldDomain jarg1_)`
  `static final double`
  `FieldDomain_GetMaxAsDouble(long jarg1, FieldDomain jarg1_)`
  `static final String`
  `FieldDomain_GetMaxAsString(long jarg1, FieldDomain jarg1_)`
  `static final int`
  `FieldDomain_GetMergePolicy(long jarg1, FieldDomain jarg1_)`
  `static final double`
  `FieldDomain_GetMinAsDouble(long jarg1, FieldDomain jarg1_)`
  `static final String`
  `FieldDomain_GetMinAsString(long jarg1, FieldDomain jarg1_)`
  `static final String`
  `FieldDomain_GetName(long jarg1, FieldDomain jarg1_)`
  `static final byte[]`
  `FieldDomain_GetNameAsByteArray(long jarg1, FieldDomain jarg1_)`
  `static final int`
  `FieldDomain_GetSplitPolicy(long jarg1, FieldDomain jarg1_)`
  `static final boolean`
  `FieldDomain_IsMaxInclusive(long jarg1, FieldDomain jarg1_)`
  `static final boolean`
  `FieldDomain_IsMinInclusive(long jarg1, FieldDomain jarg1_)`
  `static final void`
  `FieldDomain_SetMergePolicy(long jarg1, FieldDomain jarg1_, int jarg2)`
  `static final void`
  `FieldDomain_SetSplitPolicy(long jarg1, FieldDomain jarg1_, int jarg2)`
  `static final long`
  `ForceTo__SWIG_0(long jarg1, Geometry jarg1_, int jarg2, Vector jarg3)`
  `static final long`
  `ForceTo__SWIG_1(long jarg1, Geometry jarg1_, int jarg2)`
  `static final long`
  `ForceToLineString(long jarg1, Geometry jarg1_)`
  `static final long`
  `ForceToMultiLineString(long jarg1, Geometry jarg1_)`
  `static final long`
  `ForceToMultiPoint(long jarg1, Geometry jarg1_)`
  `static final long`
  `ForceToMultiPolygon(long jarg1, Geometry jarg1_)`
  `static final long`
  `ForceToPolygon(long jarg1, Geometry jarg1_)`
  `static final Vector`
  `GeneralCmdLineProcessor__SWIG_0(Vector jarg1, int jarg2)`
  `static final Vector`
  `GeneralCmdLineProcessor__SWIG_1(Vector jarg1)`
  `static final Vector`
  `GeomCoordinatePrecision_GetFormats(long jarg1, GeomCoordinatePrecision jarg1_)`
  `static final Hashtable`
  `GeomCoordinatePrecision_GetFormatSpecificOptions(long jarg1, GeomCoordinatePrecision jarg1_, String jarg2)`
  `static final double`
  `GeomCoordinatePrecision_GetMResolution(long jarg1, GeomCoordinatePrecision jarg1_)`
  `static final double`
  `GeomCoordinatePrecision_GetXYResolution(long jarg1, GeomCoordinatePrecision jarg1_)`
  `static final double`
  `GeomCoordinatePrecision_GetZResolution(long jarg1, GeomCoordinatePrecision jarg1_)`
  `static final void`
  `GeomCoordinatePrecision_Set(long jarg1, GeomCoordinatePrecision jarg1_, double jarg2, double jarg3, double jarg4)`
  `static final void`
  `GeomCoordinatePrecision_SetFormatSpecificOptions(long jarg1, GeomCoordinatePrecision jarg1_, String jarg2, Hashtable jarg3)`
  `static final void`
  `GeomCoordinatePrecision_SetFromMeter(long jarg1, GeomCoordinatePrecision jarg1_, long jarg2, SpatialReference jarg2_, double jarg3, double jarg4, double jarg5)`
  `static final int`
  `Geometry_AddGeometry(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final int`
  `Geometry_AddGeometryDirectly(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final void`
  `Geometry_AddPoint__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4)`
  `static final void`
  `Geometry_AddPoint__SWIG_1(long jarg1, Geometry jarg1_, double jarg2, double jarg3)`
  `static final void`
  `Geometry_AddPoint_2D(long jarg1, Geometry jarg1_, double jarg2, double jarg3)`
  `static final void`
  `Geometry_AddPointM(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4)`
  `static final void`
  `Geometry_AddPointZM(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)`
  `static final double`
  `Geometry_Area(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_AssignSpatialReference(long jarg1, Geometry jarg1_, long jarg2, SpatialReference jarg2_)`
  `static final long`
  `Geometry_Boundary(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Buffer__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, int jarg3)`
  `static final long`
  `Geometry_Buffer__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)`
  `static final long`
  `Geometry_Buffer__SWIG_2(long jarg1, Geometry jarg1_, double jarg2, Vector jarg3)`
  `static final long`
  `Geometry_BuildArea(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Centroid(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Clone(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_CloseRings(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_ConcaveHull(long jarg1, Geometry jarg1_, double jarg2, boolean jarg3)`
  `static final long`
  `Geometry_ConstrainedDelaunayTriangulation(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_Contains(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_ConvexHull(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_CoordinateDimension(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_CreatePreparedGeometry(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_Crosses(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_DelaunayTriangulation__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, int jarg3)`
  `static final long`
  `Geometry_DelaunayTriangulation__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)`
  `static final long`
  `Geometry_DelaunayTriangulation__SWIG_2(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Difference(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final boolean`
  `Geometry_Disjoint(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final double`
  `Geometry_Distance(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final double`
  `Geometry_Distance3D(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final void`
  `Geometry_Empty(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_Equal(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final boolean`
  `Geometry_Equals(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final String`
  `Geometry_ExportToGML__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)`
  `static final String`
  `Geometry_ExportToGML__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final byte[]`
  `Geometry_ExportToIsoWkb__SWIG_0(long jarg1, Geometry jarg1_, int jarg4)`
  `static final byte[]`
  `Geometry_ExportToIsoWkb__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_ExportToIsoWkt(long jarg1, Geometry jarg1_, String[] jarg2)`
  `static final String`
  `Geometry_ExportToJson__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)`
  `static final String`
  `Geometry_ExportToJson__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final String`
  `Geometry_ExportToKML__SWIG_0(long jarg1, Geometry jarg1_, String jarg2)`
  `static final String`
  `Geometry_ExportToKML__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final byte[]`
  `Geometry_ExportToWkb__SWIG_0(long jarg1, Geometry jarg1_, int jarg4)`
  `static final byte[]`
  `Geometry_ExportToWkb__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_ExportToWkt__SWIG_0(long jarg1, Geometry jarg1_, String[] jarg2)`
  `static final String`
  `Geometry_ExportToWkt__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_FlattenTo2D(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GeodesicArea(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GeodesicLength(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GetArea(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_GetBoundary(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_GetCoordinateDimension(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_GetCurveGeometry__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)`
  `static final long`
  `Geometry_GetCurveGeometry__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_GetDimension(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_GetEnvelope(long jarg1, Geometry jarg1_, double[] jarg2)`
  `static final void`
  `Geometry_GetEnvelope3D(long jarg1, Geometry jarg1_, double[] jarg2)`
  `static final int`
  `Geometry_GetGeometryCount(long jarg1, Geometry jarg1_)`
  `static final String`
  `Geometry_GetGeometryName(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_GetGeometryRef(long jarg1, Geometry jarg1_, int jarg2)`
  `static final int`
  `Geometry_GetGeometryType(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_GetLinearGeometry__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, Vector jarg3)`
  `static final long`
  `Geometry_GetLinearGeometry__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)`
  `static final long`
  `Geometry_GetLinearGeometry__SWIG_2(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GetM__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)`
  `static final double`
  `Geometry_GetM__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_GetPoint(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)`
  `static final void`
  `Geometry_GetPoint_2D(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)`
  `static final int`
  `Geometry_GetPointCount(long jarg1, Geometry jarg1_)`
  `static final double[][]`
  `Geometry_GetPoints__SWIG_0(long jarg1, Geometry jarg1_, int jarg5)`
  `static final double[][]`
  `Geometry_GetPoints__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_GetPointZM(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)`
  `static final long`
  `Geometry_GetSpatialReference(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GetX__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)`
  `static final double`
  `Geometry_GetX__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GetY__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)`
  `static final double`
  `Geometry_GetY__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_GetZ__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)`
  `static final double`
  `Geometry_GetZ__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_HasCurveGeometry__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)`
  `static final int`
  `Geometry_HasCurveGeometry__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_Intersect(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_Intersection(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final boolean`
  `Geometry_Intersects(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final int`
  `Geometry_Is3D(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_IsClockwise(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_IsEmpty(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_IsMeasured(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_IsRing(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_IsSimple(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_IsValid(long jarg1, Geometry jarg1_)`
  `static final double`
  `Geometry_Length(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_MakeValid__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)`
  `static final long`
  `Geometry_MakeValid__SWIG_1(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Normalize(long jarg1, Geometry jarg1_)`
  `static final boolean`
  `Geometry_Overlaps(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_PointOnSurface(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Polygonize(long jarg1, Geometry jarg1_)`
  `static final int`
  `Geometry_RemoveGeometry(long jarg1, Geometry jarg1_, int jarg2)`
  `static final long`
  `Geometry_RemoveLowerDimensionSubGeoms(long jarg1, Geometry jarg1_)`
  `static final void`
  `Geometry_Segmentize(long jarg1, Geometry jarg1_, double jarg2)`
  `static final void`
  `Geometry_Set3D(long jarg1, Geometry jarg1_, int jarg2)`
  `static final void`
  `Geometry_SetCoordinateDimension(long jarg1, Geometry jarg1_, int jarg2)`
  `static final void`
  `Geometry_SetMeasured(long jarg1, Geometry jarg1_, int jarg2)`
  `static final void`
  `Geometry_SetPoint__SWIG_0(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)`
  `static final void`
  `Geometry_SetPoint__SWIG_1(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4)`
  `static final void`
  `Geometry_SetPoint_2D(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4)`
  `static final void`
  `Geometry_SetPointM(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)`
  `static final void`
  `Geometry_SetPointZM(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5, double jarg6)`
  `static final long`
  `Geometry_SetPrecision__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, int jarg3)`
  `static final long`
  `Geometry_SetPrecision__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)`
  `static final long`
  `Geometry_Simplify(long jarg1, Geometry jarg1_, double jarg2)`
  `static final long`
  `Geometry_SimplifyPreserveTopology(long jarg1, Geometry jarg1_, double jarg2)`
  `static final void`
  `Geometry_SwapXY(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_SymDifference(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_SymmetricDifference(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final boolean`
  `Geometry_Touches(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final int`
  `Geometry_Transform__SWIG_0(long jarg1, Geometry jarg1_, long jarg2, CoordinateTransformation jarg2_)`
  `static final long`
  `Geometry_Transform__SWIG_1(long jarg1, Geometry jarg1_, long jarg2, GeomTransformer jarg2_)`
  `static final int`
  `Geometry_TransformTo(long jarg1, Geometry jarg1_, long jarg2, SpatialReference jarg2_)`
  `static final long`
  `Geometry_UnaryUnion(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Union(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_UnionCascaded(long jarg1, Geometry jarg1_)`
  `static final long`
  `Geometry_Value(long jarg1, Geometry jarg1_, double jarg2)`
  `static final boolean`
  `Geometry_Within(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `Geometry_WkbSize(long jarg1, Geometry jarg1_)`
  `static final String`
  `GeometryTypeToName(int jarg1)`
  `static final long`
  `GeomFieldDefn_GetCoordinatePrecision(long jarg1, GeomFieldDefn jarg1_)`
  `static final String`
  `GeomFieldDefn_GetName(long jarg1, GeomFieldDefn jarg1_)`
  `static final byte[]`
  `GeomFieldDefn_GetNameAsByteArray(long jarg1, GeomFieldDefn jarg1_)`
  `static final String`
  `GeomFieldDefn_GetNameRef(long jarg1, GeomFieldDefn jarg1_)`
  `static final long`
  `GeomFieldDefn_GetSpatialRef(long jarg1, GeomFieldDefn jarg1_)`
  `static final int`
  `GeomFieldDefn_GetType(long jarg1, GeomFieldDefn jarg1_)`
  `static final int`
  `GeomFieldDefn_IsIgnored(long jarg1, GeomFieldDefn jarg1_)`
  `static final int`
  `GeomFieldDefn_IsNullable(long jarg1, GeomFieldDefn jarg1_)`
  `static final void`
  `GeomFieldDefn_SetCoordinatePrecision(long jarg1, GeomFieldDefn jarg1_, long jarg2, GeomCoordinatePrecision jarg2_)`
  `static final void`
  `GeomFieldDefn_SetIgnored(long jarg1, GeomFieldDefn jarg1_, int jarg2)`
  `static final void`
  `GeomFieldDefn_SetName(long jarg1, GeomFieldDefn jarg1_, String jarg2)`
  `static final void`
  `GeomFieldDefn_SetNullable(long jarg1, GeomFieldDefn jarg1_, int jarg2)`
  `static final void`
  `GeomFieldDefn_SetSpatialRef(long jarg1, GeomFieldDefn jarg1_, long jarg2, SpatialReference jarg2_)`
  `static final void`
  `GeomFieldDefn_SetType(long jarg1, GeomFieldDefn jarg1_, int jarg2)`
  `static final long`
  `GeomTransformer_Transform(long jarg1, GeomTransformer jarg1_, long jarg2, Geometry jarg2_)`
  `static final long`
  `GetDriver(int jarg1)`
  `static final long`
  `GetDriverByName(String jarg1)`
  `static final int`
  `GetDriverCount()`
  `static final int`
  `GetFieldSubtypeByName(String jarg1)`
  `static final String`
  `GetFieldSubTypeName(int jarg1)`
  `static final int`
  `GetFieldTypeByName(String jarg1)`
  `static final String`
  `GetFieldTypeName(int jarg1)`
  `static final int`
  `GetGEOSVersionMajor()`
  `static final int`
  `GetGEOSVersionMicro()`
  `static final int`
  `GetGEOSVersionMinor()`
  `static final int`
  `GetNonLinearGeometriesEnabledFlag()`
  `static final long`
  `GetOpenDS(int jarg1)`
  `static final int`
  `GetOpenDSCount()`
  `static final boolean`
  `GetUseExceptions()`
  `static final int`
  `GT_Flatten(int jarg1)`
  `static final int`
  `GT_GetCollection(int jarg1)`
  `static final int`
  `GT_GetCurve(int jarg1)`
  `static final int`
  `GT_GetLinear(int jarg1)`
  `static final int`
  `GT_GetSingle(int jarg1)`
  `static final int`
  `GT_HasM(int jarg1)`
  `static final int`
  `GT_HasZ(int jarg1)`
  `static final int`
  `GT_IsCurve(int jarg1)`
  `static final int`
  `GT_IsNonLinear(int jarg1)`
  `static final int`
  `GT_IsSubClassOf(int jarg1, int jarg2)`
  `static final int`
  `GT_IsSurface(int jarg1)`
  `static final int`
  `GT_SetM(int jarg1)`
  `static final int`
  `GT_SetModifier__SWIG_0(int jarg1, int jarg2, int jarg3)`
  `static final int`
  `GT_SetModifier__SWIG_1(int jarg1, int jarg2)`
  `static final int`
  `GT_SetZ(int jarg1)`
  `static boolean`
  `isAvailable()`
  `static final int`
  `Layer_AlterFieldDefn(long jarg1, Layer jarg1_, int jarg2, long jarg3, FieldDefn jarg3_, int jarg4)`
  `static final int`
  `Layer_AlterGeomFieldDefn(long jarg1, Layer jarg1_, int jarg2, long jarg3, GeomFieldDefn jarg3_, int jarg4)`
  `static final int`
  `Layer_Clip__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_Clip__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_Clip__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_CommitTransaction(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_CreateFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)`
  `static final int`
  `Layer_CreateField__SWIG_0(long jarg1, Layer jarg1_, long jarg2, FieldDefn jarg2_, int jarg3)`
  `static final int`
  `Layer_CreateField__SWIG_1(long jarg1, Layer jarg1_, long jarg2, FieldDefn jarg2_)`
  `static final int`
  `Layer_CreateGeomField__SWIG_0(long jarg1, Layer jarg1_, long jarg2, GeomFieldDefn jarg2_, int jarg3)`
  `static final int`
  `Layer_CreateGeomField__SWIG_1(long jarg1, Layer jarg1_, long jarg2, GeomFieldDefn jarg2_)`
  `static final int`
  `Layer_DeleteFeature(long jarg1, Layer jarg1_, long jarg2)`
  `static final int`
  `Layer_DeleteField(long jarg1, Layer jarg1_, int jarg2)`
  `static final int`
  `Layer_Erase__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_Erase__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_Erase__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_FindFieldIndex(long jarg1, Layer jarg1_, String jarg2, int jarg3)`
  `static final long`
  `Layer_GetDataset(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_GetExtent(long jarg1, Layer jarg1_, double[] jarg2, int jarg3)`
  `static final long`
  `Layer_GetFeature(long jarg1, Layer jarg1_, long jarg2)`
  `static final long`
  `Layer_GetFeatureCount__SWIG_0(long jarg1, Layer jarg1_, int jarg2)`
  `static final long`
  `Layer_GetFeatureCount__SWIG_1(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_GetFeaturesRead(long jarg1, Layer jarg1_)`
  `static final String`
  `Layer_GetFIDColumn(long jarg1, Layer jarg1_)`
  `static final byte[]`
  `Layer_GetFIDColumnAsByteArray(long jarg1, Layer jarg1_)`
  `static final String`
  `Layer_GetGeometryColumn(long jarg1, Layer jarg1_)`
  `static final byte[]`
  `Layer_GetGeometryColumnAsByteArray(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_GetGeomType(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_GetLayerDefn(long jarg1, Layer jarg1_)`
  `static final String`
  `Layer_GetName(long jarg1, Layer jarg1_)`
  `static final byte[]`
  `Layer_GetNameAsByteArray(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_GetNextFeature(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_GetRefCount(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_GetSpatialFilter(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_GetSpatialRef(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_GetStyleTable(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_Identity__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_Identity__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_Identity__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_Intersection__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_Intersection__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_Intersection__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_Rename(long jarg1, Layer jarg1_, String jarg2)`
  `static final int`
  `Layer_ReorderField(long jarg1, Layer jarg1_, int jarg2, int jarg3)`
  `static final int`
  `Layer_ReorderFields(long jarg1, Layer jarg1_, int[] jarg2)`
  `static final void`
  `Layer_ResetReading(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_RollbackTransaction(long jarg1, Layer jarg1_)`
  `static final int`
  `Layer_SetActiveSRS(long jarg1, Layer jarg1_, int jarg2, long jarg3, SpatialReference jarg3_)`
  `static final int`
  `Layer_SetAttributeFilter(long jarg1, Layer jarg1_, String jarg2)`
  `static final int`
  `Layer_SetFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)`
  `static final int`
  `Layer_SetIgnoredFields(long jarg1, Layer jarg1_, Vector jarg2)`
  `static final int`
  `Layer_SetNextByIndex(long jarg1, Layer jarg1_, long jarg2)`
  `static final void`
  `Layer_SetSpatialFilter__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Geometry jarg2_)`
  `static final void`
  `Layer_SetSpatialFilter__SWIG_1(long jarg1, Layer jarg1_, int jarg2, long jarg3, Geometry jarg3_)`
  `static final void`
  `Layer_SetSpatialFilterRect__SWIG_0(long jarg1, Layer jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)`
  `static final void`
  `Layer_SetSpatialFilterRect__SWIG_1(long jarg1, Layer jarg1_, int jarg2, double jarg3, double jarg4, double jarg5, double jarg6)`
  `static final void`
  `Layer_SetStyleTable(long jarg1, Layer jarg1_, long jarg2, StyleTable jarg2_)`
  `static final int`
  `Layer_StartTransaction(long jarg1, Layer jarg1_)`
  `static final long`
  `Layer_SWIGUpcast(long jarg1)`
  `static final int`
  `Layer_SymDifference__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_SymDifference__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_SymDifference__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_SyncToDisk(long jarg1, Layer jarg1_)`
  `static final boolean`
  `Layer_TestCapability(long jarg1, Layer jarg1_, String jarg2)`
  `static final int`
  `Layer_Union__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_Union__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_Union__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_Update__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)`
  `static final int`
  `Layer_Update__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)`
  `static final int`
  `Layer_Update__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)`
  `static final int`
  `Layer_UpdateFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_, int[] jarg3, int[] jarg5, boolean jarg7)`
  `static final int`
  `Layer_UpsertFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)`
  `static final long`
  `new_Feature(long jarg1, FeatureDefn jarg1_)`
  `static final long`
  `new_FeatureDefn__SWIG_0(String jarg1)`
  `static final long`
  `new_FeatureDefn__SWIG_1()`
  `static final long`
  `new_FieldDefn__SWIG_0(String jarg1, int jarg2)`
  `static final long`
  `new_FieldDefn__SWIG_1(String jarg1)`
  `static final long`
  `new_FieldDefn__SWIG_2()`
  `static final long`
  `new_Geometry__SWIG_0(int jarg1, String jarg2, byte[] jarg3, String jarg5)`
  `static final long`
  `new_Geometry__SWIG_1(int jarg1)`
  `static final long`
  `new_GeomFieldDefn__SWIG_0(String jarg1, int jarg2)`
  `static final long`
  `new_GeomFieldDefn__SWIG_1(String jarg1)`
  `static final long`
  `new_GeomFieldDefn__SWIG_2()`
  `static final long`
  `new_GeomTransformer__SWIG_0(long jarg1, CoordinateTransformation jarg1_, Vector jarg2)`
  `static final long`
  `new_GeomTransformer__SWIG_1(long jarg1, CoordinateTransformation jarg1_)`
  `static final long`
  `new_ProgressCallback()`
  `static final long`
  `new_StyleTable()`
  `static final long`
  `new_TermProgressCallback()`
  `static final long`
  `Open__SWIG_0(String jarg1, int jarg2)`
  `static final long`
  `Open__SWIG_1(String jarg1)`
  `static final long`
  `OpenShared__SWIG_0(String jarg1, int jarg2)`
  `static final long`
  `OpenShared__SWIG_1(String jarg1)`
  `static final boolean`
  `PreparedGeometry_Contains(long jarg1, PreparedGeometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final boolean`
  `PreparedGeometry_Intersects(long jarg1, PreparedGeometry jarg1_, long jarg2, Geometry jarg2_)`
  `static final int`
  `ProgressCallback_run(long jarg1, ProgressCallback jarg1_, double jarg2, String jarg3)`
  `static final void`
  `RegisterAll()`
  `static final int`
  `SetGenerate_DB2_V72_BYTE_ORDER(int jarg1)`
  `static final void`
  `SetNonLinearGeometriesEnabledFlag(int jarg1)`
  `static final int`
  `StyleTable_AddStyle(long jarg1, StyleTable jarg1_, String jarg2, String jarg3)`
  `static final String`
  `StyleTable_Find(long jarg1, StyleTable jarg1_, String jarg2)`
  `static final String`
  `StyleTable_GetLastStyleName(long jarg1, StyleTable jarg1_)`
  `static final String`
  `StyleTable_GetNextStyle(long jarg1, StyleTable jarg1_)`
  `static final int`
  `StyleTable_LoadStyleTable(long jarg1, StyleTable jarg1_, String jarg2)`
  `static final void`
  `StyleTable_ResetStyleStringReading(long jarg1, StyleTable jarg1_)`
  `static final int`
  `StyleTable_SaveStyleTable(long jarg1, StyleTable jarg1_, String jarg2)`
  `static final int`
  `TermProgressCallback_run(long jarg1, TermProgressCallback jarg1_, double jarg2, String jarg3)`
  `static final long`
  `TermProgressCallback_SWIGUpcast(long jarg1)`
  `static final void`
  `UseExceptions()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ogrJNI

    public ogrJNI()

- ## Method Details

  - ### UseExceptions

    public static final void UseExceptions()

  - ### DontUseExceptions

    public static final void DontUseExceptions()

  - ### GetUseExceptions

    public static final boolean GetUseExceptions()

  - ### isAvailable

    public static boolean isAvailable()

  - ### delete_ProgressCallback

    public static final void delete_ProgressCallback(long jarg1)

  - ### ProgressCallback_run

    public static final int ProgressCallback_run(long jarg1, ProgressCallback jarg1_, double jarg2, String jarg3)

  - ### new_ProgressCallback

    public static final long new_ProgressCallback()

  - ### new_TermProgressCallback

    public static final long new_TermProgressCallback()

  - ### TermProgressCallback_run

    public static final int TermProgressCallback_run(long jarg1, TermProgressCallback jarg1_, double jarg2, String jarg3)

  - ### delete_TermProgressCallback

    public static final void delete_TermProgressCallback(long jarg1)

  - ### GetFieldTypeByName

    public static final int GetFieldTypeByName(String jarg1)

  - ### GetFieldSubtypeByName

    public static final int GetFieldSubtypeByName(String jarg1)

  - ### GetGEOSVersionMajor

    public static final int GetGEOSVersionMajor()

  - ### GetGEOSVersionMinor

    public static final int GetGEOSVersionMinor()

  - ### GetGEOSVersionMicro

    public static final int GetGEOSVersionMicro()

  - ### new_StyleTable

    public static final long new_StyleTable()

  - ### delete_StyleTable

    public static final void delete_StyleTable(long jarg1)

  - ### StyleTable_AddStyle

    public static final int StyleTable_AddStyle(long jarg1, StyleTable jarg1_, String jarg2, String jarg3)

  - ### StyleTable_LoadStyleTable

    public static final int StyleTable_LoadStyleTable(long jarg1, StyleTable jarg1_, String jarg2)

  - ### StyleTable_SaveStyleTable

    public static final int StyleTable_SaveStyleTable(long jarg1, StyleTable jarg1_, String jarg2)

  - ### StyleTable_Find

    public static final String StyleTable_Find(long jarg1, StyleTable jarg1_, String jarg2)

  - ### StyleTable_ResetStyleStringReading

    public static final void StyleTable_ResetStyleStringReading(long jarg1, StyleTable jarg1_)

  - ### StyleTable_GetNextStyle

    public static final String StyleTable_GetNextStyle(long jarg1, StyleTable jarg1_)

  - ### StyleTable_GetLastStyleName

    public static final String StyleTable_GetLastStyleName(long jarg1, StyleTable jarg1_)

  - ### Driver_name_get

    public static final String Driver_name_get(long jarg1, Driver jarg1_)

  - ### Driver_CreateDataSource__SWIG_0

    public static final long Driver_CreateDataSource__SWIG_0(long jarg1, Driver jarg1_, String jarg2, Vector jarg3)

  - ### Driver_CreateDataSource__SWIG_1

    public static final long Driver_CreateDataSource__SWIG_1(long jarg1, Driver jarg1_, String jarg2)

  - ### Driver_CopyDataSource__SWIG_0

    public static final long Driver_CopyDataSource__SWIG_0(long jarg1, Driver jarg1_, long jarg2, DataSource jarg2_, String jarg3, Vector jarg4)

  - ### Driver_CopyDataSource__SWIG_1

    public static final long Driver_CopyDataSource__SWIG_1(long jarg1, Driver jarg1_, long jarg2, DataSource jarg2_, String jarg3)

  - ### Driver_Open__SWIG_0

    public static final long Driver_Open__SWIG_0(long jarg1, Driver jarg1_, String jarg2, int jarg3)

  - ### Driver_Open__SWIG_1

    public static final long Driver_Open__SWIG_1(long jarg1, Driver jarg1_, String jarg2)

  - ### Driver_DeleteDataSource

    public static final int Driver_DeleteDataSource(long jarg1, Driver jarg1_, String jarg2)

  - ### Driver_TestCapability

    public static final boolean Driver_TestCapability(long jarg1, Driver jarg1_, String jarg2)

  - ### Driver_GetName

    public static final String Driver_GetName(long jarg1, Driver jarg1_)

  - ### Driver_Register

    public static final void Driver_Register(long jarg1, Driver jarg1_)

  - ### Driver_Deregister

    public static final void Driver_Deregister(long jarg1, Driver jarg1_)

  - ### DataSource_name_get

    public static final String DataSource_name_get(long jarg1, DataSource jarg1_)

  - ### delete_DataSource

    public static final void delete_DataSource(long jarg1)

  - ### DataSource_Close

    public static final long DataSource_Close(long jarg1, DataSource jarg1_)

  - ### DataSource_GetRefCount

    public static final int DataSource_GetRefCount(long jarg1, DataSource jarg1_)

  - ### DataSource_GetSummaryRefCount

    public static final int DataSource_GetSummaryRefCount(long jarg1, DataSource jarg1_)

  - ### DataSource_GetLayerCount

    public static final int DataSource_GetLayerCount(long jarg1, DataSource jarg1_)

  - ### DataSource_GetDriver

    public static final long DataSource_GetDriver(long jarg1, DataSource jarg1_)

  - ### DataSource_GetName

    public static final String DataSource_GetName(long jarg1, DataSource jarg1_)

  - ### DataSource_GetNameAsByteArray

    public static final byte[] DataSource_GetNameAsByteArray(long jarg1, DataSource jarg1_)

  - ### DataSource_DeleteLayer

    public static final int DataSource_DeleteLayer(long jarg1, DataSource jarg1_, int jarg2)

  - ### DataSource_SyncToDisk

    public static final int DataSource_SyncToDisk(long jarg1, DataSource jarg1_)

  - ### DataSource_FlushCache

    public static final void DataSource_FlushCache(long jarg1, DataSource jarg1_)

  - ### DataSource_CreateLayer__SWIG_0

    public static final long DataSource_CreateLayer__SWIG_0(long jarg1, DataSource jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, Vector jarg5)

  - ### DataSource_CreateLayer__SWIG_1

    public static final long DataSource_CreateLayer__SWIG_1(long jarg1, DataSource jarg1_, String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)

  - ### DataSource_CreateLayer__SWIG_2

    public static final long DataSource_CreateLayer__SWIG_2(long jarg1, DataSource jarg1_, String jarg2, long jarg3, SpatialReference jarg3_)

  - ### DataSource_CreateLayer__SWIG_3

    public static final long DataSource_CreateLayer__SWIG_3(long jarg1, DataSource jarg1_, String jarg2)

  - ### DataSource_CopyLayer__SWIG_0

    public static final long DataSource_CopyLayer__SWIG_0(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_, String jarg3, Vector jarg4)

  - ### DataSource_CopyLayer__SWIG_1

    public static final long DataSource_CopyLayer__SWIG_1(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_, String jarg3)

  - ### DataSource_GetLayerByIndex

    public static final long DataSource_GetLayerByIndex(long jarg1, DataSource jarg1_, int jarg2)

  - ### DataSource_GetLayerByName

    public static final long DataSource_GetLayerByName(long jarg1, DataSource jarg1_, String jarg2)

  - ### DataSource_TestCapability

    public static final boolean DataSource_TestCapability(long jarg1, DataSource jarg1_, String jarg2)

  - ### DataSource_ExecuteSQL__SWIG_0

    public static final long DataSource_ExecuteSQL__SWIG_0(long jarg1, DataSource jarg1_, String jarg2, long jarg3, Geometry jarg3_, String jarg4)

  - ### DataSource_ExecuteSQL__SWIG_1

    public static final long DataSource_ExecuteSQL__SWIG_1(long jarg1, DataSource jarg1_, String jarg2, long jarg3, Geometry jarg3_)

  - ### DataSource_ExecuteSQL__SWIG_2

    public static final long DataSource_ExecuteSQL__SWIG_2(long jarg1, DataSource jarg1_, String jarg2)

  - ### DataSource_AbortSQL

    public static final int DataSource_AbortSQL(long jarg1, DataSource jarg1_)

  - ### DataSource_ReleaseResultSet

    public static final void DataSource_ReleaseResultSet(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_)

  - ### DataSource_GetStyleTable

    public static final long DataSource_GetStyleTable(long jarg1, DataSource jarg1_)

  - ### DataSource_SetStyleTable

    public static final void DataSource_SetStyleTable(long jarg1, DataSource jarg1_, long jarg2, StyleTable jarg2_)

  - ### DataSource_StartTransaction__SWIG_0

    public static final int DataSource_StartTransaction__SWIG_0(long jarg1, DataSource jarg1_, int jarg2)

  - ### DataSource_StartTransaction__SWIG_1

    public static final int DataSource_StartTransaction__SWIG_1(long jarg1, DataSource jarg1_)

  - ### DataSource_CommitTransaction

    public static final int DataSource_CommitTransaction(long jarg1, DataSource jarg1_)

  - ### DataSource_RollbackTransaction

    public static final int DataSource_RollbackTransaction(long jarg1, DataSource jarg1_)

  - ### Layer_GetDataset

    public static final long Layer_GetDataset(long jarg1, Layer jarg1_)

  - ### Layer_Rename

    public static final int Layer_Rename(long jarg1, Layer jarg1_, String jarg2)

  - ### Layer_GetRefCount

    public static final int Layer_GetRefCount(long jarg1, Layer jarg1_)

  - ### Layer_SetSpatialFilter__SWIG_0

    public static final void Layer_SetSpatialFilter__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Geometry jarg2_)

  - ### Layer_SetSpatialFilterRect__SWIG_0

    public static final void Layer_SetSpatialFilterRect__SWIG_0(long jarg1, Layer jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)

  - ### Layer_SetSpatialFilter__SWIG_1

    public static final void Layer_SetSpatialFilter__SWIG_1(long jarg1, Layer jarg1_, int jarg2, long jarg3, Geometry jarg3_)

  - ### Layer_SetSpatialFilterRect__SWIG_1

    public static final void Layer_SetSpatialFilterRect__SWIG_1(long jarg1, Layer jarg1_, int jarg2, double jarg3, double jarg4, double jarg5, double jarg6)

  - ### Layer_GetSpatialFilter

    public static final long Layer_GetSpatialFilter(long jarg1, Layer jarg1_)

  - ### Layer_SetAttributeFilter

    public static final int Layer_SetAttributeFilter(long jarg1, Layer jarg1_, String jarg2)

  - ### Layer_ResetReading

    public static final void Layer_ResetReading(long jarg1, Layer jarg1_)

  - ### Layer_GetName

    public static final String Layer_GetName(long jarg1, Layer jarg1_)

  - ### Layer_GetNameAsByteArray

    public static final byte[] Layer_GetNameAsByteArray(long jarg1, Layer jarg1_)

  - ### Layer_GetGeomType

    public static final int Layer_GetGeomType(long jarg1, Layer jarg1_)

  - ### Layer_GetGeometryColumn

    public static final String Layer_GetGeometryColumn(long jarg1, Layer jarg1_)

  - ### Layer_GetGeometryColumnAsByteArray

    public static final byte[] Layer_GetGeometryColumnAsByteArray(long jarg1, Layer jarg1_)

  - ### Layer_GetFIDColumn

    public static final String Layer_GetFIDColumn(long jarg1, Layer jarg1_)

  - ### Layer_GetFIDColumnAsByteArray

    public static final byte[] Layer_GetFIDColumnAsByteArray(long jarg1, Layer jarg1_)

  - ### Layer_GetFeature

    public static final long Layer_GetFeature(long jarg1, Layer jarg1_, long jarg2)

  - ### Layer_GetNextFeature

    public static final long Layer_GetNextFeature(long jarg1, Layer jarg1_)

  - ### Layer_SetNextByIndex

    public static final int Layer_SetNextByIndex(long jarg1, Layer jarg1_, long jarg2)

  - ### Layer_SetFeature

    public static final int Layer_SetFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)

  - ### Layer_CreateFeature

    public static final int Layer_CreateFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)

  - ### Layer_UpsertFeature

    public static final int Layer_UpsertFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)

  - ### Layer_UpdateFeature

    public static final int Layer_UpdateFeature(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_, int[] jarg3, int[] jarg5, boolean jarg7)

  - ### Layer_DeleteFeature

    public static final int Layer_DeleteFeature(long jarg1, Layer jarg1_, long jarg2)

  - ### Layer_SyncToDisk

    public static final int Layer_SyncToDisk(long jarg1, Layer jarg1_)

  - ### Layer_GetLayerDefn

    public static final long Layer_GetLayerDefn(long jarg1, Layer jarg1_)

  - ### Layer_GetFeatureCount__SWIG_0

    public static final long Layer_GetFeatureCount__SWIG_0(long jarg1, Layer jarg1_, int jarg2)

  - ### Layer_GetFeatureCount__SWIG_1

    public static final long Layer_GetFeatureCount__SWIG_1(long jarg1, Layer jarg1_)

  - ### Layer_GetExtent

    public static final int Layer_GetExtent(long jarg1, Layer jarg1_, double[] jarg2, int jarg3)

  - ### Layer_TestCapability

    public static final boolean Layer_TestCapability(long jarg1, Layer jarg1_, String jarg2)

  - ### Layer_CreateField__SWIG_0

    public static final int Layer_CreateField__SWIG_0(long jarg1, Layer jarg1_, long jarg2, FieldDefn jarg2_, int jarg3)

  - ### Layer_CreateField__SWIG_1

    public static final int Layer_CreateField__SWIG_1(long jarg1, Layer jarg1_, long jarg2, FieldDefn jarg2_)

  - ### Layer_DeleteField

    public static final int Layer_DeleteField(long jarg1, Layer jarg1_, int jarg2)

  - ### Layer_ReorderField

    public static final int Layer_ReorderField(long jarg1, Layer jarg1_, int jarg2, int jarg3)

  - ### Layer_ReorderFields

    public static final int Layer_ReorderFields(long jarg1, Layer jarg1_, int[] jarg2)

  - ### Layer_AlterFieldDefn

    public static final int Layer_AlterFieldDefn(long jarg1, Layer jarg1_, int jarg2, long jarg3, FieldDefn jarg3_, int jarg4)

  - ### Layer_AlterGeomFieldDefn

    public static final int Layer_AlterGeomFieldDefn(long jarg1, Layer jarg1_, int jarg2, long jarg3, GeomFieldDefn jarg3_, int jarg4)

  - ### Layer_CreateGeomField__SWIG_0

    public static final int Layer_CreateGeomField__SWIG_0(long jarg1, Layer jarg1_, long jarg2, GeomFieldDefn jarg2_, int jarg3)

  - ### Layer_CreateGeomField__SWIG_1

    public static final int Layer_CreateGeomField__SWIG_1(long jarg1, Layer jarg1_, long jarg2, GeomFieldDefn jarg2_)

  - ### Layer_StartTransaction

    public static final int Layer_StartTransaction(long jarg1, Layer jarg1_)

  - ### Layer_CommitTransaction

    public static final int Layer_CommitTransaction(long jarg1, Layer jarg1_)

  - ### Layer_RollbackTransaction

    public static final int Layer_RollbackTransaction(long jarg1, Layer jarg1_)

  - ### Layer_FindFieldIndex

    public static final int Layer_FindFieldIndex(long jarg1, Layer jarg1_, String jarg2, int jarg3)

  - ### Layer_GetSpatialRef

    public static final long Layer_GetSpatialRef(long jarg1, Layer jarg1_)

  - ### Layer_GetFeaturesRead

    public static final long Layer_GetFeaturesRead(long jarg1, Layer jarg1_)

  - ### Layer_SetIgnoredFields

    public static final int Layer_SetIgnoredFields(long jarg1, Layer jarg1_, Vector jarg2)

  - ### Layer_Intersection__SWIG_0

    public static final int Layer_Intersection__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_Intersection__SWIG_2

    public static final int Layer_Intersection__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_Intersection__SWIG_3

    public static final int Layer_Intersection__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_Union__SWIG_0

    public static final int Layer_Union__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_Union__SWIG_2

    public static final int Layer_Union__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_Union__SWIG_3

    public static final int Layer_Union__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_SymDifference__SWIG_0

    public static final int Layer_SymDifference__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_SymDifference__SWIG_2

    public static final int Layer_SymDifference__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_SymDifference__SWIG_3

    public static final int Layer_SymDifference__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_Identity__SWIG_0

    public static final int Layer_Identity__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_Identity__SWIG_2

    public static final int Layer_Identity__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_Identity__SWIG_3

    public static final int Layer_Identity__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_Update__SWIG_0

    public static final int Layer_Update__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_Update__SWIG_2

    public static final int Layer_Update__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_Update__SWIG_3

    public static final int Layer_Update__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_Clip__SWIG_0

    public static final int Layer_Clip__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_Clip__SWIG_2

    public static final int Layer_Clip__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_Clip__SWIG_3

    public static final int Layer_Clip__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_Erase__SWIG_0

    public static final int Layer_Erase__SWIG_0(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4, ProgressCallback jarg5)

  - ### Layer_Erase__SWIG_2

    public static final int Layer_Erase__SWIG_2(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, Vector jarg4)

  - ### Layer_Erase__SWIG_3

    public static final int Layer_Erase__SWIG_3(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)

  - ### Layer_GetStyleTable

    public static final long Layer_GetStyleTable(long jarg1, Layer jarg1_)

  - ### Layer_SetStyleTable

    public static final void Layer_SetStyleTable(long jarg1, Layer jarg1_, long jarg2, StyleTable jarg2_)

  - ### Layer_SetActiveSRS

    public static final int Layer_SetActiveSRS(long jarg1, Layer jarg1_, int jarg2, long jarg3, SpatialReference jarg3_)

  - ### delete_Feature

    public static final void delete_Feature(long jarg1)

  - ### new_Feature

    public static final long new_Feature(long jarg1, FeatureDefn jarg1_)

  - ### Feature_GetDefnRef

    public static final long Feature_GetDefnRef(long jarg1, Feature jarg1_)

  - ### Feature_SetGeometry

    public static final int Feature_SetGeometry(long jarg1, Feature jarg1_, long jarg2, Geometry jarg2_)

  - ### Feature_SetGeometryDirectly

    public static final int Feature_SetGeometryDirectly(long jarg1, Feature jarg1_, long jarg2, Geometry jarg2_)

  - ### Feature_GetGeometryRef

    public static final long Feature_GetGeometryRef(long jarg1, Feature jarg1_)

  - ### Feature_SetGeomField__SWIG_0

    public static final int Feature_SetGeomField__SWIG_0(long jarg1, Feature jarg1_, int jarg2, long jarg3, Geometry jarg3_)

  - ### Feature_SetGeomField__SWIG_1

    public static final int Feature_SetGeomField__SWIG_1(long jarg1, Feature jarg1_, String jarg2, long jarg3, Geometry jarg3_)

  - ### Feature_SetGeomFieldDirectly__SWIG_0

    public static final int Feature_SetGeomFieldDirectly__SWIG_0(long jarg1, Feature jarg1_, int jarg2, long jarg3, Geometry jarg3_)

  - ### Feature_SetGeomFieldDirectly__SWIG_1

    public static final int Feature_SetGeomFieldDirectly__SWIG_1(long jarg1, Feature jarg1_, String jarg2, long jarg3, Geometry jarg3_)

  - ### Feature_GetGeomFieldRef__SWIG_0

    public static final long Feature_GetGeomFieldRef__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetGeomFieldRef__SWIG_1

    public static final long Feature_GetGeomFieldRef__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_Clone

    public static final long Feature_Clone(long jarg1, Feature jarg1_)

  - ### Feature_Equal

    public static final boolean Feature_Equal(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_)

  - ### Feature_GetFieldCount

    public static final int Feature_GetFieldCount(long jarg1, Feature jarg1_)

  - ### Feature_GetFieldDefnRef__SWIG_0

    public static final long Feature_GetFieldDefnRef__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldDefnRef__SWIG_1

    public static final long Feature_GetFieldDefnRef__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetGeomFieldCount

    public static final int Feature_GetGeomFieldCount(long jarg1, Feature jarg1_)

  - ### Feature_GetGeomFieldDefnRef__SWIG_0

    public static final long Feature_GetGeomFieldDefnRef__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetGeomFieldDefnRef__SWIG_1

    public static final long Feature_GetGeomFieldDefnRef__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsString__SWIG_0

    public static final String Feature_GetFieldAsString__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsString__SWIG_1

    public static final String Feature_GetFieldAsString__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsStringAsByteArray__SWIG_0

    public static final byte[] Feature_GetFieldAsStringAsByteArray__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsStringAsByteArray__SWIG_1

    public static final byte[] Feature_GetFieldAsStringAsByteArray__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsISO8601DateTime__SWIG_0

    public static final String Feature_GetFieldAsISO8601DateTime__SWIG_0(long jarg1, Feature jarg1_, int jarg2, Vector jarg3)

  - ### Feature_GetFieldAsISO8601DateTime__SWIG_1

    public static final String Feature_GetFieldAsISO8601DateTime__SWIG_1(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsISO8601DateTime__SWIG_2

    public static final String Feature_GetFieldAsISO8601DateTime__SWIG_2(long jarg1, Feature jarg1_, String jarg2, Vector jarg3)

  - ### Feature_GetFieldAsISO8601DateTime__SWIG_3

    public static final String Feature_GetFieldAsISO8601DateTime__SWIG_3(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsInteger__SWIG_0

    public static final int Feature_GetFieldAsInteger__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsInteger__SWIG_1

    public static final int Feature_GetFieldAsInteger__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsInteger64__SWIG_0

    public static final long Feature_GetFieldAsInteger64__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsInteger64__SWIG_1

    public static final long Feature_GetFieldAsInteger64__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsDouble__SWIG_0

    public static final double Feature_GetFieldAsDouble__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsDouble__SWIG_1

    public static final double Feature_GetFieldAsDouble__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldAsDateTime__SWIG_0

    public static final void Feature_GetFieldAsDateTime__SWIG_0(long jarg1, Feature jarg1_, int jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6, int[] jarg7, float[] jarg8, int[] jarg9)

  - ### Feature_GetFieldAsDateTime__SWIG_1

    public static final void Feature_GetFieldAsDateTime__SWIG_1(long jarg1, Feature jarg1_, String jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6, int[] jarg7, float[] jarg8, int[] jarg9)

  - ### Feature_GetFieldAsIntegerList

    public static final int[] Feature_GetFieldAsIntegerList(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsDoubleList

    public static final double[] Feature_GetFieldAsDoubleList(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsStringList

    public static final String[] Feature_GetFieldAsStringList(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsBinary__SWIG_0

    public static final byte[] Feature_GetFieldAsBinary__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldAsBinary__SWIG_1

    public static final byte[] Feature_GetFieldAsBinary__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_IsFieldSet__SWIG_0

    public static final boolean Feature_IsFieldSet__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_IsFieldSet__SWIG_1

    public static final boolean Feature_IsFieldSet__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_IsFieldNull__SWIG_0

    public static final boolean Feature_IsFieldNull__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_IsFieldNull__SWIG_1

    public static final boolean Feature_IsFieldNull__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_IsFieldSetAndNotNull__SWIG_0

    public static final boolean Feature_IsFieldSetAndNotNull__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_IsFieldSetAndNotNull__SWIG_1

    public static final boolean Feature_IsFieldSetAndNotNull__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldIndex

    public static final int Feature_GetFieldIndex(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetGeomFieldIndex

    public static final int Feature_GetGeomFieldIndex(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFID

    public static final long Feature_GetFID(long jarg1, Feature jarg1_)

  - ### Feature_SetFID

    public static final int Feature_SetFID(long jarg1, Feature jarg1_, long jarg2)

  - ### Feature_DumpReadable

    public static final void Feature_DumpReadable(long jarg1, Feature jarg1_)

  - ### Feature_DumpReadableAsString__SWIG_0

    public static final String Feature_DumpReadableAsString__SWIG_0(long jarg1, Feature jarg1_, Vector jarg2)

  - ### Feature_DumpReadableAsString__SWIG_1

    public static final String Feature_DumpReadableAsString__SWIG_1(long jarg1, Feature jarg1_)

  - ### Feature_UnsetField__SWIG_0

    public static final void Feature_UnsetField__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_UnsetField__SWIG_1

    public static final void Feature_UnsetField__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_SetFieldNull__SWIG_0

    public static final void Feature_SetFieldNull__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_SetFieldNull__SWIG_1

    public static final void Feature_SetFieldNull__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_SetField__SWIG_0

    public static final void Feature_SetField__SWIG_0(long jarg1, Feature jarg1_, int jarg2, String jarg3)

  - ### Feature_SetField__SWIG_1

    public static final void Feature_SetField__SWIG_1(long jarg1, Feature jarg1_, String jarg2, String jarg3)

  - ### Feature_SetFieldInteger64

    public static final void Feature_SetFieldInteger64(long jarg1, Feature jarg1_, int jarg2, long jarg3)

  - ### Feature_SetField__SWIG_2

    public static final void Feature_SetField__SWIG_2(long jarg1, Feature jarg1_, int jarg2, int jarg3)

  - ### Feature_SetField__SWIG_3

    public static final void Feature_SetField__SWIG_3(long jarg1, Feature jarg1_, String jarg2, int jarg3)

  - ### Feature_SetField__SWIG_4

    public static final void Feature_SetField__SWIG_4(long jarg1, Feature jarg1_, int jarg2, double jarg3)

  - ### Feature_SetField__SWIG_5

    public static final void Feature_SetField__SWIG_5(long jarg1, Feature jarg1_, String jarg2, double jarg3)

  - ### Feature_SetField__SWIG_6

    public static final void Feature_SetField__SWIG_6(long jarg1, Feature jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, float jarg8, int jarg9)

  - ### Feature_SetField__SWIG_7

    public static final void Feature_SetField__SWIG_7(long jarg1, Feature jarg1_, String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, float jarg8, int jarg9)

  - ### Feature_SetFieldIntegerList

    public static final void Feature_SetFieldIntegerList(long jarg1, Feature jarg1_, int jarg2, int[] jarg3)

  - ### Feature_SetFieldDoubleList

    public static final void Feature_SetFieldDoubleList(long jarg1, Feature jarg1_, int jarg2, double[] jarg3)

  - ### Feature_SetFieldStringList

    public static final void Feature_SetFieldStringList(long jarg1, Feature jarg1_, int jarg2, Vector jarg3)

  - ### Feature_SetFieldBinaryFromHexString__SWIG_0

    public static final void Feature_SetFieldBinaryFromHexString__SWIG_0(long jarg1, Feature jarg1_, int jarg2, String jarg3)

  - ### Feature_SetFieldBinaryFromHexString__SWIG_1

    public static final void Feature_SetFieldBinaryFromHexString__SWIG_1(long jarg1, Feature jarg1_, String jarg2, String jarg3)

  - ### Feature_SetFrom__SWIG_0

    public static final int Feature_SetFrom__SWIG_0(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_, int jarg3)

  - ### Feature_SetFrom__SWIG_1

    public static final int Feature_SetFrom__SWIG_1(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_)

  - ### Feature_SetFromWithMap

    public static final int Feature_SetFromWithMap(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_, int jarg3, int[] jarg4)

  - ### Feature_GetStyleString

    public static final String Feature_GetStyleString(long jarg1, Feature jarg1_)

  - ### Feature_GetStyleStringAsByteArray

    public static final byte[] Feature_GetStyleStringAsByteArray(long jarg1, Feature jarg1_)

  - ### Feature_SetStyleString

    public static final void Feature_SetStyleString(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_GetFieldType__SWIG_0

    public static final int Feature_GetFieldType__SWIG_0(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_GetFieldType__SWIG_1

    public static final int Feature_GetFieldType__SWIG_1(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_Validate__SWIG_0

    public static final int Feature_Validate__SWIG_0(long jarg1, Feature jarg1_, int jarg2, int jarg3)

  - ### Feature_Validate__SWIG_1

    public static final int Feature_Validate__SWIG_1(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_Validate__SWIG_2

    public static final int Feature_Validate__SWIG_2(long jarg1, Feature jarg1_)

  - ### Feature_FillUnsetWithDefault__SWIG_0

    public static final void Feature_FillUnsetWithDefault__SWIG_0(long jarg1, Feature jarg1_, int jarg2, Vector jarg3)

  - ### Feature_FillUnsetWithDefault__SWIG_1

    public static final void Feature_FillUnsetWithDefault__SWIG_1(long jarg1, Feature jarg1_, int jarg2)

  - ### Feature_FillUnsetWithDefault__SWIG_2

    public static final void Feature_FillUnsetWithDefault__SWIG_2(long jarg1, Feature jarg1_)

  - ### Feature_GetNativeData

    public static final String Feature_GetNativeData(long jarg1, Feature jarg1_)

  - ### Feature_GetNativeDataAsByteArray

    public static final byte[] Feature_GetNativeDataAsByteArray(long jarg1, Feature jarg1_)

  - ### Feature_GetNativeMediaType

    public static final String Feature_GetNativeMediaType(long jarg1, Feature jarg1_)

  - ### Feature_SetNativeData

    public static final void Feature_SetNativeData(long jarg1, Feature jarg1_, String jarg2)

  - ### Feature_SetNativeMediaType

    public static final void Feature_SetNativeMediaType(long jarg1, Feature jarg1_, String jarg2)

  - ### delete_FeatureDefn

    public static final void delete_FeatureDefn(long jarg1)

  - ### new_FeatureDefn__SWIG_0

    public static final long new_FeatureDefn__SWIG_0(String jarg1)

  - ### new_FeatureDefn__SWIG_1

    public static final long new_FeatureDefn__SWIG_1()

  - ### FeatureDefn_GetName

    public static final String FeatureDefn_GetName(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_GetNameAsByteArray

    public static final byte[] FeatureDefn_GetNameAsByteArray(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_GetFieldCount

    public static final int FeatureDefn_GetFieldCount(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_GetFieldDefn

    public static final long FeatureDefn_GetFieldDefn(long jarg1, FeatureDefn jarg1_, int jarg2)

  - ### FeatureDefn_GetFieldIndex

    public static final int FeatureDefn_GetFieldIndex(long jarg1, FeatureDefn jarg1_, String jarg2)

  - ### FeatureDefn_AddFieldDefn

    public static final void FeatureDefn_AddFieldDefn(long jarg1, FeatureDefn jarg1_, long jarg2, FieldDefn jarg2_)

  - ### FeatureDefn_GetGeomFieldCount

    public static final int FeatureDefn_GetGeomFieldCount(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_GetGeomFieldDefn

    public static final long FeatureDefn_GetGeomFieldDefn(long jarg1, FeatureDefn jarg1_, int jarg2)

  - ### FeatureDefn_GetGeomFieldIndex

    public static final int FeatureDefn_GetGeomFieldIndex(long jarg1, FeatureDefn jarg1_, String jarg2)

  - ### FeatureDefn_AddGeomFieldDefn

    public static final void FeatureDefn_AddGeomFieldDefn(long jarg1, FeatureDefn jarg1_, long jarg2, GeomFieldDefn jarg2_)

  - ### FeatureDefn_DeleteGeomFieldDefn

    public static final int FeatureDefn_DeleteGeomFieldDefn(long jarg1, FeatureDefn jarg1_, int jarg2)

  - ### FeatureDefn_GetGeomType

    public static final int FeatureDefn_GetGeomType(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_SetGeomType

    public static final void FeatureDefn_SetGeomType(long jarg1, FeatureDefn jarg1_, int jarg2)

  - ### FeatureDefn_GetReferenceCount

    public static final int FeatureDefn_GetReferenceCount(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_IsGeometryIgnored

    public static final int FeatureDefn_IsGeometryIgnored(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_SetGeometryIgnored

    public static final void FeatureDefn_SetGeometryIgnored(long jarg1, FeatureDefn jarg1_, int jarg2)

  - ### FeatureDefn_IsStyleIgnored

    public static final int FeatureDefn_IsStyleIgnored(long jarg1, FeatureDefn jarg1_)

  - ### FeatureDefn_SetStyleIgnored

    public static final void FeatureDefn_SetStyleIgnored(long jarg1, FeatureDefn jarg1_, int jarg2)

  - ### FeatureDefn_IsSame

    public static final int FeatureDefn_IsSame(long jarg1, FeatureDefn jarg1_, long jarg2, FeatureDefn jarg2_)

  - ### delete_FieldDefn

    public static final void delete_FieldDefn(long jarg1)

  - ### new_FieldDefn__SWIG_0

    public static final long new_FieldDefn__SWIG_0(String jarg1, int jarg2)

  - ### new_FieldDefn__SWIG_1

    public static final long new_FieldDefn__SWIG_1(String jarg1)

  - ### new_FieldDefn__SWIG_2

    public static final long new_FieldDefn__SWIG_2()

  - ### FieldDefn_GetName

    public static final String FieldDefn_GetName(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetNameAsByteArray

    public static final byte[] FieldDefn_GetNameAsByteArray(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetNameRef

    public static final String FieldDefn_GetNameRef(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetName

    public static final void FieldDefn_SetName(long jarg1, FieldDefn jarg1_, String jarg2)

  - ### FieldDefn_GetAlternativeName

    public static final String FieldDefn_GetAlternativeName(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetAlternativeNameAsByteArray

    public static final byte[] FieldDefn_GetAlternativeNameAsByteArray(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetAlternativeNameRef

    public static final String FieldDefn_GetAlternativeNameRef(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetAlternativeName

    public static final void FieldDefn_SetAlternativeName(long jarg1, FieldDefn jarg1_, String jarg2)

  - ### FieldDefn_GetType

    public static final int FieldDefn_GetType(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetType

    public static final void FieldDefn_SetType(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetFieldType

    public static final int FieldDefn_GetFieldType(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetSubType

    public static final int FieldDefn_GetSubType(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetSubType

    public static final void FieldDefn_SetSubType(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetJustify

    public static final int FieldDefn_GetJustify(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetJustify

    public static final void FieldDefn_SetJustify(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetWidth

    public static final int FieldDefn_GetWidth(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetWidth

    public static final void FieldDefn_SetWidth(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetPrecision

    public static final int FieldDefn_GetPrecision(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetPrecision

    public static final void FieldDefn_SetPrecision(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetTZFlag

    public static final int FieldDefn_GetTZFlag(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetTZFlag

    public static final void FieldDefn_SetTZFlag(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetTypeName

    public static final String FieldDefn_GetTypeName(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetFieldTypeName

    public static final String FieldDefn_GetFieldTypeName(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_IsIgnored

    public static final int FieldDefn_IsIgnored(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetIgnored

    public static final void FieldDefn_SetIgnored(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_IsNullable

    public static final int FieldDefn_IsNullable(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetNullable

    public static final void FieldDefn_SetNullable(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_IsUnique

    public static final int FieldDefn_IsUnique(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetUnique

    public static final void FieldDefn_SetUnique(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_IsGenerated

    public static final int FieldDefn_IsGenerated(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetGenerated

    public static final void FieldDefn_SetGenerated(long jarg1, FieldDefn jarg1_, int jarg2)

  - ### FieldDefn_GetDefault

    public static final String FieldDefn_GetDefault(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetDefaultAsByteArray

    public static final byte[] FieldDefn_GetDefaultAsByteArray(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetDefault

    public static final void FieldDefn_SetDefault(long jarg1, FieldDefn jarg1_, String jarg2)

  - ### FieldDefn_IsDefaultDriverSpecific

    public static final int FieldDefn_IsDefaultDriverSpecific(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetDomainName

    public static final String FieldDefn_GetDomainName(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetDomainNameAsByteArray

    public static final byte[] FieldDefn_GetDomainNameAsByteArray(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetDomainName

    public static final void FieldDefn_SetDomainName(long jarg1, FieldDefn jarg1_, String jarg2)

  - ### FieldDefn_GetComment

    public static final String FieldDefn_GetComment(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_GetCommentAsByteArray

    public static final byte[] FieldDefn_GetCommentAsByteArray(long jarg1, FieldDefn jarg1_)

  - ### FieldDefn_SetComment

    public static final void FieldDefn_SetComment(long jarg1, FieldDefn jarg1_, String jarg2)

  - ### delete_GeomFieldDefn

    public static final void delete_GeomFieldDefn(long jarg1)

  - ### new_GeomFieldDefn__SWIG_0

    public static final long new_GeomFieldDefn__SWIG_0(String jarg1, int jarg2)

  - ### new_GeomFieldDefn__SWIG_1

    public static final long new_GeomFieldDefn__SWIG_1(String jarg1)

  - ### new_GeomFieldDefn__SWIG_2

    public static final long new_GeomFieldDefn__SWIG_2()

  - ### GeomFieldDefn_GetName

    public static final String GeomFieldDefn_GetName(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_GetNameAsByteArray

    public static final byte[] GeomFieldDefn_GetNameAsByteArray(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_GetNameRef

    public static final String GeomFieldDefn_GetNameRef(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_SetName

    public static final void GeomFieldDefn_SetName(long jarg1, GeomFieldDefn jarg1_, String jarg2)

  - ### GeomFieldDefn_GetType

    public static final int GeomFieldDefn_GetType(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_SetType

    public static final void GeomFieldDefn_SetType(long jarg1, GeomFieldDefn jarg1_, int jarg2)

  - ### GeomFieldDefn_GetSpatialRef

    public static final long GeomFieldDefn_GetSpatialRef(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_SetSpatialRef

    public static final void GeomFieldDefn_SetSpatialRef(long jarg1, GeomFieldDefn jarg1_, long jarg2, SpatialReference jarg2_)

  - ### GeomFieldDefn_IsIgnored

    public static final int GeomFieldDefn_IsIgnored(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_SetIgnored

    public static final void GeomFieldDefn_SetIgnored(long jarg1, GeomFieldDefn jarg1_, int jarg2)

  - ### GeomFieldDefn_IsNullable

    public static final int GeomFieldDefn_IsNullable(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_SetNullable

    public static final void GeomFieldDefn_SetNullable(long jarg1, GeomFieldDefn jarg1_, int jarg2)

  - ### GeomFieldDefn_GetCoordinatePrecision

    public static final long GeomFieldDefn_GetCoordinatePrecision(long jarg1, GeomFieldDefn jarg1_)

  - ### GeomFieldDefn_SetCoordinatePrecision

    public static final void GeomFieldDefn_SetCoordinatePrecision(long jarg1, GeomFieldDefn jarg1_, long jarg2, GeomCoordinatePrecision jarg2_)

  - ### CreateGeometryFromWkb__SWIG_0

    public static final long CreateGeometryFromWkb__SWIG_0(byte[] jarg1, long jarg3, SpatialReference jarg3_)

  - ### CreateGeometryFromWkb__SWIG_1

    public static final long CreateGeometryFromWkb__SWIG_1(byte[] jarg1)

  - ### CreateGeometryFromWkt__SWIG_0

    public static final long CreateGeometryFromWkt__SWIG_0(String jarg1, long jarg2, SpatialReference jarg2_)

  - ### CreateGeometryFromWkt__SWIG_1

    public static final long CreateGeometryFromWkt__SWIG_1(String jarg1)

  - ### CreateGeometryFromGML

    public static final long CreateGeometryFromGML(String jarg1)

  - ### CreateGeometryFromJson

    public static final long CreateGeometryFromJson(String jarg1)

  - ### CreateGeometryFromEsriJson

    public static final long CreateGeometryFromEsriJson(String jarg1)

  - ### CreateGeometryFromEnvelope__SWIG_0

    public static final long CreateGeometryFromEnvelope__SWIG_0(double jarg1, double jarg2, double jarg3, double jarg4, long jarg5, SpatialReference jarg5_)

  - ### CreateGeometryFromEnvelope__SWIG_1

    public static final long CreateGeometryFromEnvelope__SWIG_1(double jarg1, double jarg2, double jarg3, double jarg4)

  - ### BuildPolygonFromEdges__SWIG_0

    public static final long BuildPolygonFromEdges__SWIG_0(long jarg1, Geometry jarg1_, int jarg2, int jarg3, double jarg4)

  - ### BuildPolygonFromEdges__SWIG_1

    public static final long BuildPolygonFromEdges__SWIG_1(long jarg1, Geometry jarg1_, int jarg2, int jarg3)

  - ### BuildPolygonFromEdges__SWIG_2

    public static final long BuildPolygonFromEdges__SWIG_2(long jarg1, Geometry jarg1_, int jarg2)

  - ### BuildPolygonFromEdges__SWIG_3

    public static final long BuildPolygonFromEdges__SWIG_3(long jarg1, Geometry jarg1_)

  - ### ApproximateArcAngles

    public static final long ApproximateArcAngles(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9)

  - ### ForceToPolygon

    public static final long ForceToPolygon(long jarg1, Geometry jarg1_)

  - ### ForceToLineString

    public static final long ForceToLineString(long jarg1, Geometry jarg1_)

  - ### ForceToMultiPolygon

    public static final long ForceToMultiPolygon(long jarg1, Geometry jarg1_)

  - ### ForceToMultiPoint

    public static final long ForceToMultiPoint(long jarg1, Geometry jarg1_)

  - ### ForceToMultiLineString

    public static final long ForceToMultiLineString(long jarg1, Geometry jarg1_)

  - ### ForceTo__SWIG_0

    public static final long ForceTo__SWIG_0(long jarg1, Geometry jarg1_, int jarg2, Vector jarg3)

  - ### ForceTo__SWIG_1

    public static final long ForceTo__SWIG_1(long jarg1, Geometry jarg1_, int jarg2)

  - ### delete_Geometry

    public static final void delete_Geometry(long jarg1)

  - ### Geometry_ExportToWkt__SWIG_0

    public static final int Geometry_ExportToWkt__SWIG_0(long jarg1, Geometry jarg1_, String[] jarg2)

  - ### Geometry_ExportToIsoWkt

    public static final int Geometry_ExportToIsoWkt(long jarg1, Geometry jarg1_, String[] jarg2)

  - ### Geometry_ExportToWkb__SWIG_0

    public static final byte[] Geometry_ExportToWkb__SWIG_0(long jarg1, Geometry jarg1_, int jarg4)

  - ### Geometry_ExportToWkb__SWIG_1

    public static final byte[] Geometry_ExportToWkb__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_ExportToIsoWkb__SWIG_0

    public static final byte[] Geometry_ExportToIsoWkb__SWIG_0(long jarg1, Geometry jarg1_, int jarg4)

  - ### Geometry_ExportToIsoWkb__SWIG_1

    public static final byte[] Geometry_ExportToIsoWkb__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_ExportToGML__SWIG_0

    public static final String Geometry_ExportToGML__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)

  - ### Geometry_ExportToGML__SWIG_1

    public static final String Geometry_ExportToGML__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_ExportToKML__SWIG_0

    public static final String Geometry_ExportToKML__SWIG_0(long jarg1, Geometry jarg1_, String jarg2)

  - ### Geometry_ExportToKML__SWIG_1

    public static final String Geometry_ExportToKML__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_ExportToJson__SWIG_0

    public static final String Geometry_ExportToJson__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)

  - ### Geometry_ExportToJson__SWIG_1

    public static final String Geometry_ExportToJson__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_AddPoint__SWIG_0

    public static final void Geometry_AddPoint__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4)

  - ### Geometry_AddPoint__SWIG_1

    public static final void Geometry_AddPoint__SWIG_1(long jarg1, Geometry jarg1_, double jarg2, double jarg3)

  - ### Geometry_AddPointM

    public static final void Geometry_AddPointM(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4)

  - ### Geometry_AddPointZM

    public static final void Geometry_AddPointZM(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)

  - ### Geometry_AddPoint_2D

    public static final void Geometry_AddPoint_2D(long jarg1, Geometry jarg1_, double jarg2, double jarg3)

  - ### Geometry_AddGeometryDirectly

    public static final int Geometry_AddGeometryDirectly(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_AddGeometry

    public static final int Geometry_AddGeometry(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_RemoveGeometry

    public static final int Geometry_RemoveGeometry(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_Clone

    public static final long Geometry_Clone(long jarg1, Geometry jarg1_)

  - ### Geometry_GetGeometryType

    public static final int Geometry_GetGeometryType(long jarg1, Geometry jarg1_)

  - ### Geometry_GetGeometryName

    public static final String Geometry_GetGeometryName(long jarg1, Geometry jarg1_)

  - ### Geometry_Length

    public static final double Geometry_Length(long jarg1, Geometry jarg1_)

  - ### Geometry_Area

    public static final double Geometry_Area(long jarg1, Geometry jarg1_)

  - ### Geometry_GeodesicLength

    public static final double Geometry_GeodesicLength(long jarg1, Geometry jarg1_)

  - ### Geometry_GeodesicArea

    public static final double Geometry_GeodesicArea(long jarg1, Geometry jarg1_)

  - ### Geometry_IsClockwise

    public static final boolean Geometry_IsClockwise(long jarg1, Geometry jarg1_)

  - ### Geometry_GetArea

    public static final double Geometry_GetArea(long jarg1, Geometry jarg1_)

  - ### Geometry_GetPointCount

    public static final int Geometry_GetPointCount(long jarg1, Geometry jarg1_)

  - ### Geometry_GetPoints__SWIG_0

    public static final double[][] Geometry_GetPoints__SWIG_0(long jarg1, Geometry jarg1_, int jarg5)

  - ### Geometry_GetPoints__SWIG_1

    public static final double[][] Geometry_GetPoints__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_GetX__SWIG_0

    public static final double Geometry_GetX__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_GetX__SWIG_1

    public static final double Geometry_GetX__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_GetY__SWIG_0

    public static final double Geometry_GetY__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_GetY__SWIG_1

    public static final double Geometry_GetY__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_GetZ__SWIG_0

    public static final double Geometry_GetZ__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_GetZ__SWIG_1

    public static final double Geometry_GetZ__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_GetM__SWIG_0

    public static final double Geometry_GetM__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_GetM__SWIG_1

    public static final double Geometry_GetM__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_GetPoint

    public static final void Geometry_GetPoint(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)

  - ### Geometry_GetPointZM

    public static final void Geometry_GetPointZM(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)

  - ### Geometry_GetPoint_2D

    public static final void Geometry_GetPoint_2D(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)

  - ### Geometry_GetGeometryCount

    public static final int Geometry_GetGeometryCount(long jarg1, Geometry jarg1_)

  - ### Geometry_SetPoint__SWIG_0

    public static final void Geometry_SetPoint__SWIG_0(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)

  - ### Geometry_SetPoint__SWIG_1

    public static final void Geometry_SetPoint__SWIG_1(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4)

  - ### Geometry_SetPointM

    public static final void Geometry_SetPointM(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)

  - ### Geometry_SetPointZM

    public static final void Geometry_SetPointZM(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5, double jarg6)

  - ### Geometry_SetPoint_2D

    public static final void Geometry_SetPoint_2D(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4)

  - ### Geometry_SwapXY

    public static final void Geometry_SwapXY(long jarg1, Geometry jarg1_)

  - ### Geometry_GetGeometryRef

    public static final long Geometry_GetGeometryRef(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_Simplify

    public static final long Geometry_Simplify(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_SimplifyPreserveTopology

    public static final long Geometry_SimplifyPreserveTopology(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_DelaunayTriangulation__SWIG_0

    public static final long Geometry_DelaunayTriangulation__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, int jarg3)

  - ### Geometry_DelaunayTriangulation__SWIG_1

    public static final long Geometry_DelaunayTriangulation__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_DelaunayTriangulation__SWIG_2

    public static final long Geometry_DelaunayTriangulation__SWIG_2(long jarg1, Geometry jarg1_)

  - ### Geometry_ConstrainedDelaunayTriangulation

    public static final long Geometry_ConstrainedDelaunayTriangulation(long jarg1, Geometry jarg1_)

  - ### Geometry_Polygonize

    public static final long Geometry_Polygonize(long jarg1, Geometry jarg1_)

  - ### Geometry_BuildArea

    public static final long Geometry_BuildArea(long jarg1, Geometry jarg1_)

  - ### Geometry_Boundary

    public static final long Geometry_Boundary(long jarg1, Geometry jarg1_)

  - ### Geometry_GetBoundary

    public static final long Geometry_GetBoundary(long jarg1, Geometry jarg1_)

  - ### Geometry_ConvexHull

    public static final long Geometry_ConvexHull(long jarg1, Geometry jarg1_)

  - ### Geometry_ConcaveHull

    public static final long Geometry_ConcaveHull(long jarg1, Geometry jarg1_, double jarg2, boolean jarg3)

  - ### Geometry_MakeValid__SWIG_0

    public static final long Geometry_MakeValid__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)

  - ### Geometry_MakeValid__SWIG_1

    public static final long Geometry_MakeValid__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_SetPrecision__SWIG_0

    public static final long Geometry_SetPrecision__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, int jarg3)

  - ### Geometry_SetPrecision__SWIG_1

    public static final long Geometry_SetPrecision__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_Normalize

    public static final long Geometry_Normalize(long jarg1, Geometry jarg1_)

  - ### Geometry_RemoveLowerDimensionSubGeoms

    public static final long Geometry_RemoveLowerDimensionSubGeoms(long jarg1, Geometry jarg1_)

  - ### Geometry_Buffer__SWIG_0

    public static final long Geometry_Buffer__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, int jarg3)

  - ### Geometry_Buffer__SWIG_1

    public static final long Geometry_Buffer__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_Buffer__SWIG_2

    public static final long Geometry_Buffer__SWIG_2(long jarg1, Geometry jarg1_, double jarg2, Vector jarg3)

  - ### Geometry_Intersection

    public static final long Geometry_Intersection(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Union

    public static final long Geometry_Union(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_UnionCascaded

    public static final long Geometry_UnionCascaded(long jarg1, Geometry jarg1_)

  - ### Geometry_UnaryUnion

    public static final long Geometry_UnaryUnion(long jarg1, Geometry jarg1_)

  - ### Geometry_Difference

    public static final long Geometry_Difference(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_SymDifference

    public static final long Geometry_SymDifference(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_SymmetricDifference

    public static final long Geometry_SymmetricDifference(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Distance

    public static final double Geometry_Distance(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Distance3D

    public static final double Geometry_Distance3D(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Empty

    public static final void Geometry_Empty(long jarg1, Geometry jarg1_)

  - ### Geometry_IsEmpty

    public static final boolean Geometry_IsEmpty(long jarg1, Geometry jarg1_)

  - ### Geometry_IsValid

    public static final boolean Geometry_IsValid(long jarg1, Geometry jarg1_)

  - ### Geometry_IsSimple

    public static final boolean Geometry_IsSimple(long jarg1, Geometry jarg1_)

  - ### Geometry_IsRing

    public static final boolean Geometry_IsRing(long jarg1, Geometry jarg1_)

  - ### Geometry_Intersects

    public static final boolean Geometry_Intersects(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Intersect

    public static final boolean Geometry_Intersect(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Equals

    public static final boolean Geometry_Equals(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Equal

    public static final boolean Geometry_Equal(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Disjoint

    public static final boolean Geometry_Disjoint(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Touches

    public static final boolean Geometry_Touches(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Crosses

    public static final boolean Geometry_Crosses(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Within

    public static final boolean Geometry_Within(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Contains

    public static final boolean Geometry_Contains(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_Overlaps

    public static final boolean Geometry_Overlaps(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)

  - ### Geometry_TransformTo

    public static final int Geometry_TransformTo(long jarg1, Geometry jarg1_, long jarg2, SpatialReference jarg2_)

  - ### Geometry_Transform__SWIG_0

    public static final int Geometry_Transform__SWIG_0(long jarg1, Geometry jarg1_, long jarg2, CoordinateTransformation jarg2_)

  - ### Geometry_GetSpatialReference

    public static final long Geometry_GetSpatialReference(long jarg1, Geometry jarg1_)

  - ### Geometry_AssignSpatialReference

    public static final void Geometry_AssignSpatialReference(long jarg1, Geometry jarg1_, long jarg2, SpatialReference jarg2_)

  - ### Geometry_CloseRings

    public static final void Geometry_CloseRings(long jarg1, Geometry jarg1_)

  - ### Geometry_FlattenTo2D

    public static final void Geometry_FlattenTo2D(long jarg1, Geometry jarg1_)

  - ### Geometry_Segmentize

    public static final void Geometry_Segmentize(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_GetEnvelope

    public static final void Geometry_GetEnvelope(long jarg1, Geometry jarg1_, double[] jarg2)

  - ### Geometry_GetEnvelope3D

    public static final void Geometry_GetEnvelope3D(long jarg1, Geometry jarg1_, double[] jarg2)

  - ### Geometry_Centroid

    public static final long Geometry_Centroid(long jarg1, Geometry jarg1_)

  - ### Geometry_PointOnSurface

    public static final long Geometry_PointOnSurface(long jarg1, Geometry jarg1_)

  - ### Geometry_WkbSize

    public static final long Geometry_WkbSize(long jarg1, Geometry jarg1_)

  - ### Geometry_GetCoordinateDimension

    public static final int Geometry_GetCoordinateDimension(long jarg1, Geometry jarg1_)

  - ### Geometry_CoordinateDimension

    public static final int Geometry_CoordinateDimension(long jarg1, Geometry jarg1_)

  - ### Geometry_Is3D

    public static final int Geometry_Is3D(long jarg1, Geometry jarg1_)

  - ### Geometry_IsMeasured

    public static final int Geometry_IsMeasured(long jarg1, Geometry jarg1_)

  - ### Geometry_SetCoordinateDimension

    public static final void Geometry_SetCoordinateDimension(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_Set3D

    public static final void Geometry_Set3D(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_SetMeasured

    public static final void Geometry_SetMeasured(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_GetDimension

    public static final int Geometry_GetDimension(long jarg1, Geometry jarg1_)

  - ### Geometry_HasCurveGeometry__SWIG_0

    public static final int Geometry_HasCurveGeometry__SWIG_0(long jarg1, Geometry jarg1_, int jarg2)

  - ### Geometry_HasCurveGeometry__SWIG_1

    public static final int Geometry_HasCurveGeometry__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_GetLinearGeometry__SWIG_0

    public static final long Geometry_GetLinearGeometry__SWIG_0(long jarg1, Geometry jarg1_, double jarg2, Vector jarg3)

  - ### Geometry_GetLinearGeometry__SWIG_1

    public static final long Geometry_GetLinearGeometry__SWIG_1(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_GetLinearGeometry__SWIG_2

    public static final long Geometry_GetLinearGeometry__SWIG_2(long jarg1, Geometry jarg1_)

  - ### Geometry_GetCurveGeometry__SWIG_0

    public static final long Geometry_GetCurveGeometry__SWIG_0(long jarg1, Geometry jarg1_, Vector jarg2)

  - ### Geometry_GetCurveGeometry__SWIG_1

    public static final long Geometry_GetCurveGeometry__SWIG_1(long jarg1, Geometry jarg1_)

  - ### Geometry_Value

    public static final long Geometry_Value(long jarg1, Geometry jarg1_, double jarg2)

  - ### Geometry_Transform__SWIG_1

    public static final long Geometry_Transform__SWIG_1(long jarg1, Geometry jarg1_, long jarg2, GeomTransformer jarg2_)

  - ### Geometry_CreatePreparedGeometry

    public static final long Geometry_CreatePreparedGeometry(long jarg1, Geometry jarg1_)

  - ### new_Geometry__SWIG_0

    public static final long new_Geometry__SWIG_0(int jarg1, String jarg2, byte[] jarg3, String jarg5)

  - ### new_Geometry__SWIG_1

    public static final long new_Geometry__SWIG_1(int jarg1)

  - ### Geometry_ExportToWkt__SWIG_1

    public static final String Geometry_ExportToWkt__SWIG_1(long jarg1, Geometry jarg1_)

  - ### delete_PreparedGeometry

    public static final void delete_PreparedGeometry(long jarg1)

  - ### PreparedGeometry_Intersects

    public static final boolean PreparedGeometry_Intersects(long jarg1, PreparedGeometry jarg1_, long jarg2, Geometry jarg2_)

  - ### PreparedGeometry_Contains

    public static final boolean PreparedGeometry_Contains(long jarg1, PreparedGeometry jarg1_, long jarg2, Geometry jarg2_)

  - ### new_GeomTransformer__SWIG_0

    public static final long new_GeomTransformer__SWIG_0(long jarg1, CoordinateTransformation jarg1_, Vector jarg2)

  - ### new_GeomTransformer__SWIG_1

    public static final long new_GeomTransformer__SWIG_1(long jarg1, CoordinateTransformation jarg1_)

  - ### delete_GeomTransformer

    public static final void delete_GeomTransformer(long jarg1)

  - ### GeomTransformer_Transform

    public static final long GeomTransformer_Transform(long jarg1, GeomTransformer jarg1_, long jarg2, Geometry jarg2_)

  - ### delete_FieldDomain

    public static final void delete_FieldDomain(long jarg1)

  - ### FieldDomain_GetName

    public static final String FieldDomain_GetName(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetNameAsByteArray

    public static final byte[] FieldDomain_GetNameAsByteArray(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetDescription

    public static final String FieldDomain_GetDescription(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetDescriptionAsByteArray

    public static final byte[] FieldDomain_GetDescriptionAsByteArray(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetFieldType

    public static final int FieldDomain_GetFieldType(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetFieldSubType

    public static final int FieldDomain_GetFieldSubType(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetDomainType

    public static final int FieldDomain_GetDomainType(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetSplitPolicy

    public static final int FieldDomain_GetSplitPolicy(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_SetSplitPolicy

    public static final void FieldDomain_SetSplitPolicy(long jarg1, FieldDomain jarg1_, int jarg2)

  - ### FieldDomain_GetMergePolicy

    public static final int FieldDomain_GetMergePolicy(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_SetMergePolicy

    public static final void FieldDomain_SetMergePolicy(long jarg1, FieldDomain jarg1_, int jarg2)

  - ### FieldDomain_GetEnumeration

    public static final HashMap<String,String> FieldDomain_GetEnumeration(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetMinAsDouble

    public static final double FieldDomain_GetMinAsDouble(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetMinAsString

    public static final String FieldDomain_GetMinAsString(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_IsMinInclusive

    public static final boolean FieldDomain_IsMinInclusive(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetMaxAsDouble

    public static final double FieldDomain_GetMaxAsDouble(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetMaxAsString

    public static final String FieldDomain_GetMaxAsString(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_IsMaxInclusive

    public static final boolean FieldDomain_IsMaxInclusive(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetGlob

    public static final String FieldDomain_GetGlob(long jarg1, FieldDomain jarg1_)

  - ### FieldDomain_GetGlobAsByteArray

    public static final byte[] FieldDomain_GetGlobAsByteArray(long jarg1, FieldDomain jarg1_)

  - ### CreateCodedFieldDomain

    public static final long CreateCodedFieldDomain(String jarg1, String jarg2, int jarg3, int jarg4, HashMap<String,String> jarg5)

  - ### CreateRangeFieldDomain

    public static final long CreateRangeFieldDomain(String jarg1, String jarg2, int jarg3, int jarg4, double jarg5, boolean jarg6, double jarg7, boolean jarg8)

  - ### CreateRangeFieldDomainDateTime

    public static final long CreateRangeFieldDomainDateTime(String jarg1, String jarg2, String jarg3, boolean jarg4, String jarg5, double jarg6)

  - ### CreateGlobFieldDomain

    public static final long CreateGlobFieldDomain(String jarg1, String jarg2, int jarg3, int jarg4, String jarg5)

  - ### delete_GeomCoordinatePrecision

    public static final void delete_GeomCoordinatePrecision(long jarg1)

  - ### GeomCoordinatePrecision_Set

    public static final void GeomCoordinatePrecision_Set(long jarg1, GeomCoordinatePrecision jarg1_, double jarg2, double jarg3, double jarg4)

  - ### GeomCoordinatePrecision_SetFromMeter

    public static final void GeomCoordinatePrecision_SetFromMeter(long jarg1, GeomCoordinatePrecision jarg1_, long jarg2, SpatialReference jarg2_, double jarg3, double jarg4, double jarg5)

  - ### GeomCoordinatePrecision_GetXYResolution

    public static final double GeomCoordinatePrecision_GetXYResolution(long jarg1, GeomCoordinatePrecision jarg1_)

  - ### GeomCoordinatePrecision_GetZResolution

    public static final double GeomCoordinatePrecision_GetZResolution(long jarg1, GeomCoordinatePrecision jarg1_)

  - ### GeomCoordinatePrecision_GetMResolution

    public static final double GeomCoordinatePrecision_GetMResolution(long jarg1, GeomCoordinatePrecision jarg1_)

  - ### GeomCoordinatePrecision_GetFormats

    public static final Vector GeomCoordinatePrecision_GetFormats(long jarg1, GeomCoordinatePrecision jarg1_)

  - ### GeomCoordinatePrecision_GetFormatSpecificOptions

    public static final Hashtable GeomCoordinatePrecision_GetFormatSpecificOptions(long jarg1, GeomCoordinatePrecision jarg1_, String jarg2)

  - ### GeomCoordinatePrecision_SetFormatSpecificOptions

    public static final void GeomCoordinatePrecision_SetFormatSpecificOptions(long jarg1, GeomCoordinatePrecision jarg1_, String jarg2, Hashtable jarg3)

  - ### CreateGeomCoordinatePrecision

    public static final long CreateGeomCoordinatePrecision()

  - ### GetDriverCount

    public static final int GetDriverCount()

  - ### GetOpenDSCount

    public static final int GetOpenDSCount()

  - ### SetGenerate_DB2_V72_BYTE_ORDER

    public static final int SetGenerate_DB2_V72_BYTE_ORDER(int jarg1)

  - ### RegisterAll

    public static final void RegisterAll()

  - ### GeometryTypeToName

    public static final String GeometryTypeToName(int jarg1)

  - ### GetFieldTypeName

    public static final String GetFieldTypeName(int jarg1)

  - ### GetFieldSubTypeName

    public static final String GetFieldSubTypeName(int jarg1)

  - ### GT_Flatten

    public static final int GT_Flatten(int jarg1)

  - ### GT_SetZ

    public static final int GT_SetZ(int jarg1)

  - ### GT_SetM

    public static final int GT_SetM(int jarg1)

  - ### GT_SetModifier__SWIG_0

    public static final int GT_SetModifier__SWIG_0(int jarg1, int jarg2, int jarg3)

  - ### GT_SetModifier__SWIG_1

    public static final int GT_SetModifier__SWIG_1(int jarg1, int jarg2)

  - ### GT_HasZ

    public static final int GT_HasZ(int jarg1)

  - ### GT_HasM

    public static final int GT_HasM(int jarg1)

  - ### GT_IsSubClassOf

    public static final int GT_IsSubClassOf(int jarg1, int jarg2)

  - ### GT_IsCurve

    public static final int GT_IsCurve(int jarg1)

  - ### GT_IsSurface

    public static final int GT_IsSurface(int jarg1)

  - ### GT_IsNonLinear

    public static final int GT_IsNonLinear(int jarg1)

  - ### GT_GetCollection

    public static final int GT_GetCollection(int jarg1)

  - ### GT_GetSingle

    public static final int GT_GetSingle(int jarg1)

  - ### GT_GetCurve

    public static final int GT_GetCurve(int jarg1)

  - ### GT_GetLinear

    public static final int GT_GetLinear(int jarg1)

  - ### SetNonLinearGeometriesEnabledFlag

    public static final void SetNonLinearGeometriesEnabledFlag(int jarg1)

  - ### GetNonLinearGeometriesEnabledFlag

    public static final int GetNonLinearGeometriesEnabledFlag()

  - ### GetOpenDS

    public static final long GetOpenDS(int jarg1)

  - ### Open__SWIG_0

    public static final long Open__SWIG_0(String jarg1, int jarg2)

  - ### Open__SWIG_1

    public static final long Open__SWIG_1(String jarg1)

  - ### OpenShared__SWIG_0

    public static final long OpenShared__SWIG_0(String jarg1, int jarg2)

  - ### OpenShared__SWIG_1

    public static final long OpenShared__SWIG_1(String jarg1)

  - ### GetDriverByName

    public static final long GetDriverByName(String jarg1)

  - ### GetDriver

    public static final long GetDriver(int jarg1)

  - ### GeneralCmdLineProcessor__SWIG_0

    public static final Vector GeneralCmdLineProcessor__SWIG_0(Vector jarg1, int jarg2)

  - ### GeneralCmdLineProcessor__SWIG_1

    public static final Vector GeneralCmdLineProcessor__SWIG_1(Vector jarg1)

  - ### TermProgressCallback_SWIGUpcast

    public static final long TermProgressCallback_SWIGUpcast(long jarg1)

  - ### Driver_SWIGUpcast

    public static final long Driver_SWIGUpcast(long jarg1)

  - ### DataSource_SWIGUpcast

    public static final long DataSource_SWIGUpcast(long jarg1)

  - ### Layer_SWIGUpcast

    public static final long Layer_SWIGUpcast(long jarg1)